# Contributions

## Community Contributions

Contributions should be submitted as [Pull Requests](https://help.github.com/articles/about-pull-requests/) on GitHub.

By submitting a Pull Request to any SIMP repository, you agree that you:

1. Own the contribution that you are providing or have obtained permission from
   the contribution owner

2. Allow your contribution to be licensed under the license of the target
   project (most are Apache 2)

3. Allow your contribution to be freely distributed to the public

4. Allow the [US Government](https://www.usa.gov/)
   [Unlimited Rights](#Unlimited-Rights) to your contribution

If you, or your company, wish that your copyright in your contribution to be
annotated in the project documentation (such as this README), then your pull
request should include that annotation.

## US Government

Contributions from Government agencies require verification that the government
has unlimited rights to the contribution.  An email to fossgov@simp-project.com is
sufficient, stating that the contribution was developed by an employee of the
United States Government in the course of his or her duties. Alternatively, if
the contribution was developed by a contractor, the email should provide the
name of the Contractor, Contract number, and an assertion that the contract
included the standard "Unlimited Rights" clause specified by [DFARS 252.227.7014](http://www.acq.osd.mil/dpap/dars/dfars/html/current/252227.htm#252.227-7014)
"Rights in noncommercial computer software and noncommercial computer software
documentation".

Government agencies are encouraged to submit contributions as pull requests on
GitHub.  If your agency cannot use GitHub, contributions can be emailed as
patches to fossgov@simp-project.com.

## Unlimited Rights

As specified in [DFARS 252.227.7014](http://www.acq.osd.mil/dpap/dars/dfars/html/current/252227.htm#252.227-7014):

> “Unlimited Rights” means rights to use, modify, reproduce, release, perform,
> display, or disclose computer software or computer software documentation in
> whole or in part, in any manner and for any purpose whatsoever, and to have
> or authorize others to do so.
