# Syslog priorities in `C` compatible format
type Simplib::Syslog::CPriority = Enum[
  'LOG_KERN.LOG_EMERG',
  'LOG_KERN.LOG_ALERT',
  'LOG_KERN.LOG_CRIT',
  'LOG_KERN.LOG_ERR',
  'LOG_KERN.LOG_WARNING',
  'LOG_KERN.LOG_NOTICE',
  'LOG_KERN.LOG_INFO',
  'LOG_KERN.LOG_DEBUG',
  'LOG_USER.LOG_EMERG',
  'LOG_USER.LOG_ALERT',
  'LOG_USER.LOG_CRIT',
  'LOG_USER.LOG_ERR',
  'LOG_USER.LOG_WARNING',
  'LOG_USER.LOG_NOTICE',
  'LOG_USER.LOG_INFO',
  'LOG_USER.LOG_DEBUG',
  'LOG_MAIL.LOG_EMERG',
  'LOG_MAIL.LOG_ALERT',
  'LOG_MAIL.LOG_CRIT',
  'LOG_MAIL.LOG_ERR',
  'LOG_MAIL.LOG_WARNING',
  'LOG_MAIL.LOG_NOTICE',
  'LOG_MAIL.LOG_INFO',
  'LOG_MAIL.LOG_DEBUG',
  'LOG_DAEMON.LOG_EMERG',
  'LOG_DAEMON.LOG_ALERT',
  'LOG_DAEMON.LOG_CRIT',
  'LOG_DAEMON.LOG_ERR',
  'LOG_DAEMON.LOG_WARNING',
  'LOG_DAEMON.LOG_NOTICE',
  'LOG_DAEMON.LOG_INFO',
  'LOG_DAEMON.LOG_DEBUG',
  'LOG_AUTH.LOG_EMERG',
  'LOG_AUTH.LOG_ALERT',
  'LOG_AUTH.LOG_CRIT',
  'LOG_AUTH.LOG_ERR',
  'LOG_AUTH.LOG_WARNING',
  'LOG_AUTH.LOG_NOTICE',
  'LOG_AUTH.LOG_INFO',
  'LOG_AUTH.LOG_DEBUG',
  'LOG_SYSLOG.LOG_EMERG',
  'LOG_SYSLOG.LOG_ALERT',
  'LOG_SYSLOG.LOG_CRIT',
  'LOG_SYSLOG.LOG_ERR',
  'LOG_SYSLOG.LOG_WARNING',
  'LOG_SYSLOG.LOG_NOTICE',
  'LOG_SYSLOG.LOG_INFO',
  'LOG_SYSLOG.LOG_DEBUG',
  'LOG_LPR.LOG_EMERG',
  'LOG_LPR.LOG_ALERT',
  'LOG_LPR.LOG_CRIT',
  'LOG_LPR.LOG_ERR',
  'LOG_LPR.LOG_WARNING',
  'LOG_LPR.LOG_NOTICE',
  'LOG_LPR.LOG_INFO',
  'LOG_LPR.LOG_DEBUG',
  'LOG_NEWS.LOG_EMERG',
  'LOG_NEWS.LOG_ALERT',
  'LOG_NEWS.LOG_CRIT',
  'LOG_NEWS.LOG_ERR',
  'LOG_NEWS.LOG_WARNING',
  'LOG_NEWS.LOG_NOTICE',
  'LOG_NEWS.LOG_INFO',
  'LOG_NEWS.LOG_DEBUG',
  'LOG_UUCP.LOG_EMERG',
  'LOG_UUCP.LOG_ALERT',
  'LOG_UUCP.LOG_CRIT',
  'LOG_UUCP.LOG_ERR',
  'LOG_UUCP.LOG_WARNING',
  'LOG_UUCP.LOG_NOTICE',
  'LOG_UUCP.LOG_INFO',
  'LOG_UUCP.LOG_DEBUG',
  'LOG_AUTHPRIV.LOG_EMERG',
  'LOG_AUTHPRIV.LOG_ALERT',
  'LOG_AUTHPRIV.LOG_CRIT',
  'LOG_AUTHPRIV.LOG_ERR',
  'LOG_AUTHPRIV.LOG_WARNING',
  'LOG_AUTHPRIV.LOG_NOTICE',
  'LOG_AUTHPRIV.LOG_INFO',
  'LOG_AUTHPRIV.LOG_DEBUG',
  'LOG_FTP.LOG_EMERG',
  'LOG_FTP.LOG_ALERT',
  'LOG_FTP.LOG_CRIT',
  'LOG_FTP.LOG_ERR',
  'LOG_FTP.LOG_WARNING',
  'LOG_FTP.LOG_NOTICE',
  'LOG_FTP.LOG_INFO',
  'LOG_FTP.LOG_DEBUG',
  'LOG_CRON.LOG_EMERG',
  'LOG_CRON.LOG_ALERT',
  'LOG_CRON.LOG_CRIT',
  'LOG_CRON.LOG_ERR',
  'LOG_CRON.LOG_WARNING',
  'LOG_CRON.LOG_NOTICE',
  'LOG_CRON.LOG_INFO',
  'LOG_CRON.LOG_DEBUG',
  'LOG_LOCAL0.LOG_EMERG',
  'LOG_LOCAL0.LOG_ALERT',
  'LOG_LOCAL0.LOG_CRIT',
  'LOG_LOCAL0.LOG_ERR',
  'LOG_LOCAL0.LOG_WARNING',
  'LOG_LOCAL0.LOG_NOTICE',
  'LOG_LOCAL0.LOG_INFO',
  'LOG_LOCAL0.LOG_DEBUG',
  'LOG_LOCAL1.LOG_EMERG',
  'LOG_LOCAL1.LOG_ALERT',
  'LOG_LOCAL1.LOG_CRIT',
  'LOG_LOCAL1.LOG_ERR',
  'LOG_LOCAL1.LOG_WARNING',
  'LOG_LOCAL1.LOG_NOTICE',
  'LOG_LOCAL1.LOG_INFO',
  'LOG_LOCAL1.LOG_DEBUG',
  'LOG_LOCAL2.LOG_EMERG',
  'LOG_LOCAL2.LOG_ALERT',
  'LOG_LOCAL2.LOG_CRIT',
  'LOG_LOCAL2.LOG_ERR',
  'LOG_LOCAL2.LOG_WARNING',
  'LOG_LOCAL2.LOG_NOTICE',
  'LOG_LOCAL2.LOG_INFO',
  'LOG_LOCAL2.LOG_DEBUG',
  'LOG_LOCAL3.LOG_EMERG',
  'LOG_LOCAL3.LOG_ALERT',
  'LOG_LOCAL3.LOG_CRIT',
  'LOG_LOCAL3.LOG_ERR',
  'LOG_LOCAL3.LOG_WARNING',
  'LOG_LOCAL3.LOG_NOTICE',
  'LOG_LOCAL3.LOG_INFO',
  'LOG_LOCAL3.LOG_DEBUG',
  'LOG_LOCAL4.LOG_EMERG',
  'LOG_LOCAL4.LOG_ALERT',
  'LOG_LOCAL4.LOG_CRIT',
  'LOG_LOCAL4.LOG_ERR',
  'LOG_LOCAL4.LOG_WARNING',
  'LOG_LOCAL4.LOG_NOTICE',
  'LOG_LOCAL4.LOG_INFO',
  'LOG_LOCAL4.LOG_DEBUG',
  'LOG_LOCAL5.LOG_EMERG',
  'LOG_LOCAL5.LOG_ALERT',
  'LOG_LOCAL5.LOG_CRIT',
  'LOG_LOCAL5.LOG_ERR',
  'LOG_LOCAL5.LOG_WARNING',
  'LOG_LOCAL5.LOG_NOTICE',
  'LOG_LOCAL5.LOG_INFO',
  'LOG_LOCAL5.LOG_DEBUG',
  'LOG_LOCAL6.LOG_EMERG',
  'LOG_LOCAL6.LOG_ALERT',
  'LOG_LOCAL6.LOG_CRIT',
  'LOG_LOCAL6.LOG_ERR',
  'LOG_LOCAL6.LOG_WARNING',
  'LOG_LOCAL6.LOG_NOTICE',
  'LOG_LOCAL6.LOG_INFO',
  'LOG_LOCAL6.LOG_DEBUG',
  'LOG_LOCAL7.LOG_EMERG',
  'LOG_LOCAL7.LOG_ALERT',
  'LOG_LOCAL7.LOG_CRIT',
  'LOG_LOCAL7.LOG_ERR',
  'LOG_LOCAL7.LOG_WARNING',
  'LOG_LOCAL7.LOG_NOTICE',
  'LOG_LOCAL7.LOG_INFO',
  'LOG_LOCAL7.LOG_DEBUG'
]
