# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`simplib::reboot_notify`](#simplib--reboot_notify): This is a simple controller class for global settings related to the
* [`simplib::stages`](#simplib--stages): Expands on the `puppetlabs-stdlib` stages

### Defined types

* [`simplib::install`](#simplib--install): Manage packages based on Hash input

### Resource types

* [`ftpusers`](#ftpusers): Adds all system users to the named file, preserving any other entries currently in the file.
* [`init_ulimit`](#init_ulimit): Please use the ``systemd`` module for systems that support ``systemd``  Update ``ulimit`` settings in init scripts.  The resource name does h
* [`prepend_file_line`](#prepend_file_line): Type that can prepend whole a line to a file if it does not already contain it.  Example:  file_prepend_line { 'sudo_rule':   path => '/etc/s
* [`reboot_notify`](#reboot_notify): Notifies users when a system reboot is required.  This type creates a file at $target the contents of which provide a summary of the reasons 
* [`runlevel`](#runlevel): Changes the system runlevel by re-evaluating the inittab or systemd link. Arguments:  name   - the runlevel to evaluate for the system  persi
* [`script_umask`](#script_umask): Alters the umask settings in the passed file.
* [`simp_file_line`](#simp_file_line): Ensures that a given line is contained within a file.  The implementation matches the full line, including whitespace at the beginning and en

### Functions

* [`simplib::assert_metadata`](#simplib--assert_metadata): Fails a compile if the client system is not compatible with the module's `metadata.json`  NOTE: New capabilities will be added to the simplib
* [`simplib::assert_optional_dependency`](#simplib--assert_optional_dependency): Fails a compile if the system does not contain a correct version of the required module in the current environment.  Provides a message about
* [`simplib::bracketize`](#simplib--bracketize): Add brackets to strings of IPv6 addresses and `Arrays` of IPv6 addresses based on the rules for bracketing IPv6 addresses.  Ignores anything 
* [`simplib::caller`](#simplib--caller): Returns the location of whatever called the item that called this function (two levels up)  This is meant to be used inside other functions t
* [`simplib::cron::expand_range`](#simplib--cron--expand_range): Expand all ranges ('-') into a comma separated list
* [`simplib::cron::to_systemd`](#simplib--cron--to_systemd): Convert a set of 'cron' native type parameters to a 'best effort' systemd calendar String
* [`simplib::debug::classtrace`](#simplib--debug--classtrace): Prints out the stack of Puppet Classes and Defined Types that have been called up to this point  WARNING: Uses **EXPERIMENTAL** features from
* [`simplib::debug::inspect`](#simplib--debug--inspect): Prints out Puppet warning messages that display the passed variable, data type, and location.  WARNING: Uses **EXPERIMENTAL** features from P
* [`simplib::debug::stacktrace`](#simplib--debug--stacktrace): Prints out a stacktrace of all files loaded up until the point where this function was called  WARNING: Uses **EXPERIMENTAL** features from P
* [`simplib::deprecation`](#simplib--deprecation): Function to print deprecation warnings, logging a warning once for a given key.
* [`simplib::dlookup`](#simplib--dlookup): A function for performing lookups targeted at ease of use with defined types.  Quite often you need to override something in an existing defi
* [`simplib::filtered`](#simplib--filtered): Hiera v5 backend that takes a list of allowed hiera key names, and only returns results from the underlying backend function that match those
* [`simplib::gen_random_password`](#simplib--gen_random_password): Generates a random password string.  Terminates catalog compilation if the password cannot be created in the allotted time.
* [`simplib::hash_to_opts`](#simplib--hash_to_opts): Turn a hash into a options string, for use in a shell command
* [`simplib::host_is_me`](#simplib--host_is_me): Detect if a local system identifier hostname/IPv4 address matches a specified hostname/IPv4 address or an entry in a list of hostnames and/or
* [`simplib::in_bolt`](#simplib--in_bolt): Returns ``true`` if the run is active inside of Bolt and ``false`` otherwise.  Presently, this function is extremely basic. However, this che
* [`simplib::inspect`](#simplib--inspect): Prints the passed variable's Ruby type and value for debugging purposes  This uses a ``Notify`` resource to print the information during the 
* [`simplib::ip::family_hash`](#simplib--ip--family_hash): Process an array of IP addresses and return them split by IP family and include metadata and/or processed versions.
* [`simplib::ip_to_cron`](#simplib--ip_to_cron): Transforms an IP address to one or more interval values for `cron`.  This can be used to avoid starting a certain cron job at the same  time 
* [`simplib::ipaddresses`](#simplib--ipaddresses): Return an `Array` of all IPv4 addresses known to be associated with the client, optionally excluding local addresses.
* [`simplib::join_mount_opts`](#simplib--join_mount_opts): Merge two sets of `mount` options in a reasonable fashion, giving precedence to the second set.
* [`simplib::knockout`](#simplib--knockout): uses the knockout prefix of '--' to remove elements from an array.
* [`simplib::ldap::domain_to_dn`](#simplib--ldap--domain_to_dn): Generates a LDAP Base DN from a domain
* [`simplib::lookup`](#simplib--lookup): A function for falling back to global scope variable lookups when the Puppet 4 ``lookup()`` function cannot find a value.  While ``lookup()``
* [`simplib::mock_data`](#simplib--mock_data): A mock data function
* [`simplib::module_exist`](#simplib--module_exist): Determines if a module exists in the current environment  If passed with an author, such as `simp/simplib` or `simp-simplib`, will return whe
* [`simplib::module_metadata::assert`](#simplib--module_metadata--assert): Fails a compile if the client system is not compatible with the module's `metadata.json`
* [`simplib::module_metadata::os_blacklisted`](#simplib--module_metadata--os_blacklisted): Returns whether or not the passed module is blacklisted per the module's metadata.json.  If a blacklist is passed, then it will return `false
* [`simplib::module_metadata::os_supported`](#simplib--module_metadata--os_supported): Returns whether or not the passed module is supported per the module's metadata.json.
* [`simplib::nets2cidr`](#simplib--nets2cidr): Take an input list of networks and returns an equivalent `Array` in CIDR notation.  * Hostnames are passed through untouched. * Terminates ca
* [`simplib::nets2ddq`](#simplib--nets2ddq): Tranforms a list of networks into an equivalent array in dotted quad notation.  * IPv4 CIDR networks are converted to dotted quad notation ne
* [`simplib::params2hash`](#simplib--params2hash): Returns a Hash of the parameters of the calling resource  This is meant to get the parameters of classes and defined types. The behavior when
* [`simplib::parse_hosts`](#simplib--parse_hosts): Convert an `Array` of items that may contain port numbers or protocols into a structured `Hash` of host information.  * Works with Hostnames 
* [`simplib::passgen`](#simplib--passgen): Generates/retrieves a random password string or its hash for a passed identifier.  * Supports 2 modes:   * simpkv     * Password info is stor
* [`simplib::passgen::gen_password_and_salt`](#simplib--passgen--gen_password_and_salt): Generates a password and salt  * Password length, complexity and complex-only settings are specified by   the caller. * Salt length, complexi
* [`simplib::passgen::gen_salt`](#simplib--passgen--gen_salt): Generates a salt  * Terminates catalog compilation if the salt cannot be created   in the allotted time.
* [`simplib::passgen::get`](#simplib--passgen--get): Retrieves a generated password and any stored attributes  * Supports 2 modes:   * simpkv     * Password info is stored in a key/value store a
* [`simplib::passgen::legacy::common_settings`](#simplib--passgen--legacy--common_settings): Returns common settings used by simplib::passgen in legacy mode
* [`simplib::passgen::legacy::get`](#simplib--passgen--legacy--get): Retrieves a generated password and any stored attributes that have been stored in files on the local file system at `Puppet.settings[:vardir]
* [`simplib::passgen::legacy::list`](#simplib--passgen--legacy--list): Retrieves the list of generated passwords with attributes stored in files on the local files system at `Puppet.settings[:vardir]/simp/environ
* [`simplib::passgen::legacy::passgen`](#simplib--passgen--legacy--passgen): Generates/retrieves a random password string or its hash for a passed identifier.  * Password info is stored in files on the local file syste
* [`simplib::passgen::legacy::remove`](#simplib--passgen--legacy--remove): Removes a generated password, history and stored attributes  * Password info is stored in files on the local file system at   `Puppet.setting
* [`simplib::passgen::legacy::set`](#simplib--passgen--legacy--set): Stores a generated password and salt in files on the local filesystem at `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofi
* [`simplib::passgen::list`](#simplib--passgen--list): Retrieves the list of generated passwords with attributes and the list of sub-folders stored at a simplib::passgen folder.  * Folder specific
* [`simplib::passgen::remove`](#simplib--passgen--remove): Removes a generated password, history and stored attributes  * Supports 2 modes:   * simpkv     * Password info is stored in a key/value stor
* [`simplib::passgen::set`](#simplib--passgen--set): Sets a generated password with attributes  * Sets the password and salt, backs up the previous password and salt, and   depending upon mode s
* [`simplib::passgen::simpkv::get`](#simplib--passgen--simpkv--get): Retrieves a generated password and stored attributes from a key/value store using simpkv  Terminates catalog compilation if any simpkv operat
* [`simplib::passgen::simpkv::list`](#simplib--passgen--simpkv--list): Using simpkv, retrieves the list of generated passwords with attributes and the list of sub-folders stored at a simplib::passgen folder in a 
* [`simplib::passgen::simpkv::passgen`](#simplib--passgen--simpkv--passgen): Generates/retrieves a random password string or its hash for a passed identifier.  * Password info is stored in a key/value store and accesse
* [`simplib::passgen::simpkv::remove`](#simplib--passgen--simpkv--remove): Removes a generated password, history and stored attributes  * Password info is stored in a key/value store and removed using simpkv.   * sim
* [`simplib::passgen::simpkv::root_dir`](#simplib--passgen--simpkv--root_dir): Returns the root directory in simpkv for password info generated by simplib::passgen
* [`simplib::passgen::simpkv::set`](#simplib--passgen--simpkv--set): Using simpkv, sets a generated password with attributes  * simpkv key is the identifier. * simpkv value is a Hash with 'password' and 'salt' 
* [`simplib::passgen::simpkv::valid_password_info`](#simplib--passgen--simpkv--valid_password_info): Returns whether password information retrieved from simpkv is valid
* [`simplib::rand_cron`](#simplib--rand_cron): Transforms an input string to one or more interval values for `cron`.  This can be used to avoid starting a certain cron job at the same  tim
* [`simplib::safe_filename`](#simplib--safe_filename): Convert a string into a filename that is 'path safe'  The goal is to ensure that files do not contain characters that may accidentally turn i
* [`simplib::simp_version`](#simplib--simp_version): Return the version of SIMP that this server is running or "unknown\n"
* [`simplib::strip_ports`](#simplib--strip_ports): Extract list of unique hostnames and/or IP addresses from an `Array` of hosts, each of which may may contain protocols and/or port numbers  T
* [`simplib::to_integer`](#simplib--to_integer): Converts the argument into an `Integer`.  Terminates catalog compilation if the argument's class does not respond to the `to_i()` Ruby method
* [`simplib::to_string`](#simplib--to_string): Converts the argument into a `String`.
* [`simplib::validate_array_member`](#simplib--validate_array_member): Validate that an single input is a member of another `Array` or an `Array` input is a subset of another `Array`.  * The comparison can option
* [`simplib::validate_between`](#simplib--validate_between): Validate that the first value is between the second and third values numerically. The range is inclusive.  Terminates catalog compilation if 
* [`simplib::validate_bool`](#simplib--validate_bool): Validate that all passed values are either `true`, 'true', `false` or 'false'.  Terminates catalog compilation if validation fails.
* [`simplib::validate_deep_hash`](#simplib--validate_deep_hash): Perform a deep validation on two passed `Hashes`.  * All keys must be defined in the reference `Hash` that is being   validated against. * Un
* [`simplib::validate_net_list`](#simplib--validate_net_list): Validate that a passed list (`Array` or single `String`) of networks is filled with valid IP addresses, network addresses (CIDR notation), or
* [`simplib::validate_port`](#simplib--validate_port): Validates whether each passed argument contains valid port(s).  * Each element of each argument must, numerically, be in the   range [1, 6553
* [`simplib::validate_re_array`](#simplib--validate_re_array): Perform simple validation of a `String`, or `Array` of `Strings`, against one or more regular expressions.  * Derived from the Puppet Labs st
* [`simplib::validate_sysctl_value`](#simplib--validate_sysctl_value): Validate that the passed value is correct for the passed `sysctl` key.  * If a key is not known, assumes the value is valid. * Terminates cat
* [`simplib::validate_uri_list`](#simplib--validate_uri_list): Validate that a passed list (`Array` or single `String`) of URIs is valid according to Ruby's URI parser.  * *Caution*:  No scheme (protocol 

### Data types

* [`Simplib::Cron::Hour`](#Simplib--Cron--Hour): Matches valid cron hour parameter
* [`Simplib::Cron::Hour_entry`](#Simplib--Cron--Hour_entry): Matches valid cron hour parameter  Tested with Rubular: https://rubular.com/r/y7jCmNCjgTl4kx
* [`Simplib::Cron::Minute`](#Simplib--Cron--Minute): Matches valid cron minute parameter
* [`Simplib::Cron::Minute_entry`](#Simplib--Cron--Minute_entry): Matches valid cron minute parameter  Tested with Rubular: https://rubular.com/r/kBrcbFmFldCR7q
* [`Simplib::Cron::Month`](#Simplib--Cron--Month): Matches valid cron month parameter
* [`Simplib::Cron::MonthDay`](#Simplib--Cron--MonthDay): Matches valid cron monthday parameter
* [`Simplib::Cron::MonthDay_entry`](#Simplib--Cron--MonthDay_entry): Matches valid cron monthday parameter  Tested with Rubular: https://rubular.com/r/ovqrYiCurMdQir
* [`Simplib::Cron::Month_entry`](#Simplib--Cron--Month_entry): Matches valid cron month parameter  Tested with Rubular: https://rubular.com/r/TSDNxt1rcWkb8U
* [`Simplib::Cron::WeekDay`](#Simplib--Cron--WeekDay): Matches valid cron weekday parameter
* [`Simplib::Cron::WeekDay_entry`](#Simplib--Cron--WeekDay_entry): Matches valid cron weekday parameter  Tested with Rubular: https://rubular.com/r/uuFFu5ISzdRL7l
* [`Simplib::Domain`](#Simplib--Domain): Valid DNS domain names  Complies with TLD restrictions from Section 2 of RFC 3696:   * only ASCII alpha + numbers + hyphens are allowed  * la
* [`Simplib::Domainlist`](#Simplib--Domainlist): List of valid domains (RFC 3696, Section 2)
* [`Simplib::EmailAddress`](#Simplib--EmailAddress): Matches valid email addresses
* [`Simplib::Host`](#Simplib--Host): Matches a single IP Address or Hostname
* [`Simplib::Host::Port`](#Simplib--Host--Port): Matches a single IP Address or Hostname with a Port
* [`Simplib::Hostname`](#Simplib--Hostname): Valid Hostnames - May not match Unicode and does not validate against TLD registry
* [`Simplib::Hostname::Port`](#Simplib--Hostname--Port): Valid Hostnames with ports - May not match Unicode and does not validate against TLD registry
* [`Simplib::IP`](#Simplib--IP): Matches a single IP Address
* [`Simplib::IP::CIDR`](#Simplib--IP--CIDR): Matches valid CIDR IP addresses
* [`Simplib::IP::Port`](#Simplib--IP--Port): Matches valid IP addresses with Ports
* [`Simplib::IP::V4`](#Simplib--IP--V4): Matches valid IPv4 addresses  Regex taken from Ruby core's Resolv::IPv4::Regex Reference: ruby/lib/resolv.rb  Copyright 2010 Tanaka Akira <kr
* [`Simplib::IP::V4::CIDR`](#Simplib--IP--V4--CIDR): Matches valid IPv4 CIDR Mask addresses Base Regex taken from Ruby core's Resolv::IPv4::Regex  Reference: ruby/lib/resolv.rb  Copyright 2010 T
* [`Simplib::IP::V4::DDQ`](#Simplib--IP--V4--DDQ): Matches valid IPv4 Dotted Quad Mask addresses Base Regex taken from Ruby core's Resolv::IPv4::Regex  Reference: ruby/lib/resolv.rb  Copyright
* [`Simplib::IP::V4::Port`](#Simplib--IP--V4--Port): Matches valid IPv4 addresses with a Port Regex taken from Ruby core's Resolv::IPv4::Regex  Reference: ruby/lib/resolv.rb  Copyright 2010 Tana
* [`Simplib::IP::V6`](#Simplib--IP--V6): Matches valid IPv6 addresses
* [`Simplib::IP::V6::Base`](#Simplib--IP--V6--Base): Matches valid IPv6 addresses Regex taken from Ruby core's Resolv::IPv6::Regex  Reference: ruby/lib/resolv.rb  Copyright 2010 Tanaka Akira <kr
* [`Simplib::IP::V6::Bracketed`](#Simplib--IP--V6--Bracketed): Matches valid Bracketed IPv6 addresses Regex taken from Ruby core's Resolv::IPv6::Regex  Reference: ruby/lib/resolv.rb  Copyright 2010 Tanaka
* [`Simplib::IP::V6::CIDR`](#Simplib--IP--V6--CIDR): Matches valid IPv6 addresses with CIDR netmasks Base Regex taken from Ruby core's Resolv::IPv6::Regex  Reference: ruby/lib/resolv.rb  Copyrig
* [`Simplib::IP::V6::Port`](#Simplib--IP--V6--Port): Matches valid Bracketed IPv6 addresses with Port specification Base Regex taken from Ruby core's Resolv::IPv6::Regex Reference: ruby/lib/reso
* [`Simplib::Libcrypt::BSDIExtendedDES`](#Simplib--Libcrypt--BSDIExtendedDES): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::Bcrypt`](#Simplib--Libcrypt--Bcrypt): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::Bigcrypt`](#Simplib--Libcrypt--Bigcrypt): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::DES`](#Simplib--Libcrypt--DES): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::MD5_FreeBSD`](#Simplib--Libcrypt--MD5_FreeBSD): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::MD5_Sun`](#Simplib--Libcrypt--MD5_Sun): Regular expression pulled from the crypt(5) man page lint:ignore:single_quote_string_with_variables
* [`Simplib::Libcrypt::NTHASH`](#Simplib--Libcrypt--NTHASH): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::SHA1`](#Simplib--Libcrypt--SHA1): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::SHA2_256`](#Simplib--Libcrypt--SHA2_256): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::SHA2_512`](#Simplib--Libcrypt--SHA2_512): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::Scrypt`](#Simplib--Libcrypt--Scrypt): Regular expression pulled from the crypt(5) man page
* [`Simplib::Libcrypt::Yescrypt`](#Simplib--Libcrypt--Yescrypt): Regular expression pulled from the crypt(5) man page
* [`Simplib::Macaddress`](#Simplib--Macaddress): Matches MAC addresses
* [`Simplib::Netlist`](#Simplib--Netlist): Matches all possible lists of Network Addresses and Hostnames
* [`Simplib::Netlist::Host`](#Simplib--Netlist--Host): Matches an Array of Simplib::Hosts
* [`Simplib::Netlist::IP`](#Simplib--Netlist--IP): Matches all possible lists of IP Network Addresses
* [`Simplib::Netlist::IP::V4`](#Simplib--Netlist--IP--V4): Matches all possible lists of IPv4 Network Addresses
* [`Simplib::Netlist::IP::V6`](#Simplib--Netlist--IP--V6): Matches all possible lists of IPv6 Network Addresses
* [`Simplib::Netlist::Port`](#Simplib--Netlist--Port): Matches all possible lists of Network Addresses and Hostnames with Ports
* [`Simplib::PackageEnsure`](#Simplib--PackageEnsure): Valid values for the `ensure` parameter of the `package` resource
* [`Simplib::Port`](#Simplib--Port): A valid port Type
* [`Simplib::Port::Dynamic`](#Simplib--Port--Dynamic): Corresponds to the usual unprivileged port range
* [`Simplib::Port::Random`](#Simplib--Port--Random): Corresponds to a port of ``0`` which has different behaviors but usually binds to a random port
* [`Simplib::Port::System`](#Simplib--Port--System): Corresponds to the usual privileged port range
* [`Simplib::Port::User`](#Simplib--Port--User): Corresponds to the unprivileged port range
* [`Simplib::Puppet::Metadata::OS_support`](#Simplib--Puppet--Metadata--OS_support): The 'operating_support' data structure in metadata.json
* [`Simplib::PuppetLogLevel`](#Simplib--PuppetLogLevel): A valid log level Type
* [`Simplib::Serverdistribution`](#Simplib--Serverdistribution): Valid options for Serverdistribution
* [`Simplib::ShadowPass`](#Simplib--ShadowPass): Valid entries for the password field of the 'shadow' file  These items are recognized by recent versions of crypt but may not be exhaustive  
* [`Simplib::Syslog::CFacility`](#Simplib--Syslog--CFacility): Syslog facilities in `C` compatible format
* [`Simplib::Syslog::CPriority`](#Simplib--Syslog--CPriority): Syslog priorities in `C` compatible format
* [`Simplib::Syslog::CSeverity`](#Simplib--Syslog--CSeverity): Syslog severities in `C` compatible format
* [`Simplib::Syslog::Facility`](#Simplib--Syslog--Facility): Syslog facilities
* [`Simplib::Syslog::LowerFacility`](#Simplib--Syslog--LowerFacility): Valid lowercase versions of syslog facilities
* [`Simplib::Syslog::LowerPriority`](#Simplib--Syslog--LowerPriority): Valid lowercase versions of syslog priorities
* [`Simplib::Syslog::LowerSeverity`](#Simplib--Syslog--LowerSeverity): Valid lowercase versions of syslog severities
* [`Simplib::Syslog::Priority`](#Simplib--Syslog--Priority): Syslog priorities
* [`Simplib::Syslog::Severity`](#Simplib--Syslog--Severity): Syslog severities
* [`Simplib::Syslog::UpperFacility`](#Simplib--Syslog--UpperFacility): Valid uppercase bounds for syslog facilities
* [`Simplib::Syslog::UpperPriority`](#Simplib--Syslog--UpperPriority): Valid uppercase versions of syslog priorities
* [`Simplib::Syslog::UpperSeverity`](#Simplib--Syslog--UpperSeverity): Valid uppercase versions of syslog severities
* [`Simplib::Systemd::ServiceName`](#Simplib--Systemd--ServiceName): Valid systemd service names
* [`Simplib::URI`](#Simplib--URI): Matches URI strings
* [`Simplib::Umask`](#Simplib--Umask): Matches umask patterns

## Classes

### <a name="simplib--reboot_notify"></a>`simplib::reboot_notify`

`reboot_notify` custom type

#### Parameters

The following parameters are available in the `simplib::reboot_notify` class:

* [`log_level`](#-simplib--reboot_notify--log_level)

##### <a name="-simplib--reboot_notify--log_level"></a>`log_level`

Data type: `Simplib::PuppetLogLevel`

The Puppet log_level to use when generating output

To change the level of the reboot_notify messages add this class
to the class list in hiera and set simplib::reboot_notify::log_level to
the level you want.

* Set to  log_level to``debug`` if you wish to disable output unless you're
  running in debug mode.

Default value: `'notice'`

### <a name="simplib--stages"></a>`simplib::stages`

Adds additional intermediate stages that we found necessary when developing
various SIMP modules that had global ramifications.

Primarily, we wanted to ensure that anyone using the stdlib stages was not
tripped up by any of our modules that may enable, or disable, various system,
components; particularly ones that require a reboot.

Added Stages:

  * ``simp_prep`` -> Comes before stdlib's ``setup``
  * ``simp_finalize`` -> Comes after stdlib's ``deploy``

## Defined types

### <a name="simplib--install"></a>`simplib::install`

This has been created as a Defined Type so that it can be properly referenced
in manifest ordering

#### Parameters

The following parameters are available in the `simplib::install` defined type:

* [`packages`](#-simplib--install--packages)
* [`defaults`](#-simplib--install--defaults)

##### <a name="-simplib--install--packages"></a>`packages`

Data type: `Hash[String[1], Optional[Hash]]`

Hash of the packages to install

* If just a key is provided, will apply `package_ensure` to the item
* A value may be provided to the package name key that will be passed along
  as the arguments for resource creation.
* A special entry called `defaults` can be provided that will set the
  default package options for all packages in the `Hash`

@example Adding a package to be installed
  simplib::install({ 'my_package' => undef })

##### <a name="-simplib--install--defaults"></a>`defaults`

Data type: `Hash[String[1], String[1]]`

A `Hash` of default parameters to apply to all `$packages`

* This will be overridden by any options applied to individual packages

@example Adding some packages with defaults
  simplib::install(
    # The package list
    {
      'pkg1' => {
        'ensure' => 'installed'
      },
      'pkg2' => undef
    },
    # The defaults
    {
      'ensure'      => 'latest',
      'configfiles' => 'replace'
    }
  )

Default value: `{ 'ensure' => 'present' }`

## Resource types

### <a name="ftpusers"></a>`ftpusers`

Adds all system users to the named file, preserving any other
entries currently in the file.

#### Properties

The following properties are available in the `ftpusers` type.

##### `to_write`

Ignored, auto-populated from /etc/passwd

Default value: `default`

#### Parameters

The following parameters are available in the `ftpusers` type.

* [`always_deny`](#-ftpusers--always_deny)
* [`min_id`](#-ftpusers--min_id)
* [`name`](#-ftpusers--name)

##### <a name="-ftpusers--always_deny"></a>`always_deny`

Entries to always add to the file

Default value: `['nobody', 'nfsnobody']`

##### <a name="-ftpusers--min_id"></a>`min_id`

The UID below which all values will be considered system users

Default value: `500`

##### <a name="-ftpusers--name"></a>`name`

namevar

The file to which to write the values

### <a name="init_ulimit"></a>`init_ulimit`

Please use the ``systemd`` module for systems that support ``systemd``

Update ``ulimit`` settings in init scripts.

The resource name does have to be unique but is meaningless.

Valid ``limit_type`` names are:

  * b|socket_buffer_size
  * c|max_core_size
  * d|max_data_segment
  * e|max_nice
  * f|max_file_size
  * i|max_pending_signals
  * l|max_memory_lock_size
  * m|max_resident_set_size
  * n|max_open_files (default)
  * p|max_queue_size
  * r|max_real_time_pri
  * s|max_stack_size
  * t|max_cpu_time
  * u|max_num_procs
  * v|max_virt_memory
  * x|max_file_locks
  * T|max_threads

All of these are explained in the ``ulimit`` section of ``bash_builtins(1)``

The parameter names are taken from the descriptive field names used in
``limits.conf``.

#### Examples

##### Long Names

```puppet

init_ulimit { 'rsyslog':
  ensure     => 'present',
  limit_type => 'both'
  item       => 'max_open_files',
  value      => 'unlimited'
}
```

##### Short Names

```puppet

init_ulimit { 'rsyslog':
  item       => 'n',
  value      => 'unlimited'
}
```

#### Properties

The following properties are available in the `init_ulimit` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `value`

Valid values: `hard`, `soft`, `unlimited`, `%r{^\d+$}`

The value to which to set the new limit.

#### Parameters

The following parameters are available in the `init_ulimit` type.

* [`item`](#-init_ulimit--item)
* [`limit_type`](#-init_ulimit--limit_type)
* [`name`](#-init_ulimit--name)
* [`provider`](#-init_ulimit--provider)
* [`target`](#-init_ulimit--target)

##### <a name="-init_ulimit--item"></a>`item`

namevar

The system limit resource to modify

Default value: `max_open_files`

##### <a name="-init_ulimit--limit_type"></a>`limit_type`

Valid values: `soft`, `hard`, `both`

The limit type: hard|soft|both

Default value: `both`

##### <a name="-init_ulimit--name"></a>`name`

A unique name for the resource

##### <a name="-init_ulimit--provider"></a>`provider`

The specific backend to use for this `init_ulimit` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="-init_ulimit--target"></a>`target`

namevar

The service that will be modified. If you specify a full path, that will be used instead.

### <a name="prepend_file_line"></a>`prepend_file_line`

Type that can prepend whole a line to a file if it does not already contain it.

Example:

file_prepend_line { 'sudo_rule':
  path => '/etc/sudoers',
  line => '%admin ALL=(ALL) ALL',
}

#### Properties

The following properties are available in the `prepend_file_line` type.

##### `ensure`

Valid values: `present`

Has no effect, items are only added to files

Default value: `present`

#### Parameters

The following parameters are available in the `prepend_file_line` type.

* [`line`](#-prepend_file_line--line)
* [`name`](#-prepend_file_line--name)
* [`path`](#-prepend_file_line--path)
* [`provider`](#-prepend_file_line--provider)

##### <a name="-prepend_file_line--line"></a>`line`

The line to be prepended to the path.

##### <a name="-prepend_file_line--name"></a>`name`

namevar

arbitrary name used as identity

##### <a name="-prepend_file_line--path"></a>`path`

File to possibly prepend a line to.

##### <a name="-prepend_file_line--provider"></a>`provider`

The specific backend to use for this `prepend_file_line` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="reboot_notify"></a>`reboot_notify`

Notifies users when a system reboot is required.

This type creates a file at $target the contents of which
provide a summary of the reasons why the system requires a
reboot.

NOTE: This type will *only* register entries on refresh. Any
other use of the type will not report the necessary reboot.

A reboot notification will be printed at each puppet run until
the system is successfully rebooted.

#### Properties

The following properties are available in the `reboot_notify` type.

##### `ensure`

Valid values: `present`, `absent`

Whether the notification should be added or removed

Default value: `present`

#### Parameters

The following parameters are available in the `reboot_notify` type.

* [`control_only`](#-reboot_notify--control_only)
* [`log_level`](#-reboot_notify--log_level)
* [`name`](#-reboot_notify--name)
* [`provider`](#-reboot_notify--provider)
* [`reason`](#-reboot_notify--reason)

##### <a name="-reboot_notify--control_only"></a>`control_only`

Valid values: `true`, `false`, `yes`, `no`

This resource is only for control and should not add an item to the notification list

You may only have ONE resource with this set to `true` in your catalog

Default value: `false`

##### <a name="-reboot_notify--log_level"></a>`log_level`

Valid values: `alert`, `crit`, `debug`, `notice`, `emerg`, `err`, `info`, `warning`

Set the message log level for notifications

This is only active with :control_only set to `true`

Default value: `notice`

##### <a name="-reboot_notify--name"></a>`name`

namevar

The item that is being modified that requires a reboot

##### <a name="-reboot_notify--provider"></a>`provider`

The specific backend to use for this `reboot_notify` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="-reboot_notify--reason"></a>`reason`

An optional reason for rebooting

Default value: `modified`

### <a name="runlevel"></a>`runlevel`

Changes the system runlevel by re-evaluating the inittab or systemd link.
Arguments:

name
  - the runlevel to evaluate for the system

persist
  - boolean value that determines whether or not to set as the default runlevel of the system

Example:

    runlevel { '3': persist => true, }

#### Properties

The following properties are available in the `runlevel` type.

##### `level`

Valid values: `%r{^[1-5]$}`, `rescue`, `multi-user`, `graphical`, `default`

The target runlevel of the system. Defaults to what is specified in :name

Default value: `default`

##### `persist`

Valid values: `true`, `false`

Whether or not to save the runlevel as default.

Default value: `true`

#### Parameters

The following parameters are available in the `runlevel` type.

* [`name`](#-runlevel--name)
* [`provider`](#-runlevel--provider)
* [`transition_timeout`](#-runlevel--transition_timeout)

##### <a name="-runlevel--name"></a>`name`

Valid values: `%r{^[1-5]$}`, `rescue`, `multi-user`, `graphical`

namevar

The target runlevel of the system

##### <a name="-runlevel--provider"></a>`provider`

The specific backend to use for this `runlevel` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### <a name="-runlevel--transition_timeout"></a>`transition_timeout`

Valid values: `%r{^\d+$}`

How many seconds to wait for a runlevel switch before failing

Default value: `60`

### <a name="script_umask"></a>`script_umask`

Alters the umask settings in the passed file.

#### Properties

The following properties are available in the `script_umask` type.

##### `umask`

Valid values: `%r{^[0-7]{3,4}$}`

The umask that should be set in the target file.

Default value: `077`

#### Parameters

The following parameters are available in the `script_umask` type.

* [`name`](#-script_umask--name)
* [`provider`](#-script_umask--provider)

##### <a name="-script_umask--name"></a>`name`

namevar

The file to alter.

##### <a name="-script_umask--provider"></a>`provider`

The specific backend to use for this `script_umask` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="simp_file_line"></a>`simp_file_line`

Ensures that a given line is contained within a file.  The implementation
matches the full line, including whitespace at the beginning and end.  If
the line is not contained in the given file, Puppet will add the line to
ensure the desired state.  Multiple resources may be declared to manage
multiple lines in the same file.

Example:

    simp_file_line { 'sudo_rule':
      path => '/etc/sudoers',
      line => '%sudo ALL=(ALL) ALL',
    }
    simp_file_line { 'sudo_rule_nopw':
      path => '/etc/sudoers',
      line => '%sudonopw ALL=(ALL) NOPASSWD: ALL',
    }

In this example, Puppet will ensure both of the specified lines are
contained in the file /etc/sudoers.

This is an enhancement to the stdlib file_line that allows for the
following additional options:
  * prepend     => [binary] Prepend the line instead of appending it if not
                   using 'match'
  * deconflict  => [binary] Do not execute if there is a file resource that
                   already manipulates the content of the target file.

#### Properties

The following properties are available in the `simp_file_line` type.

##### `ensure`

Valid values: `present`, `absent`

Whether the line should be added or removed

Default value: `present`

#### Parameters

The following parameters are available in the `simp_file_line` type.

* [`deconflict`](#-simp_file_line--deconflict)
* [`line`](#-simp_file_line--line)
* [`match`](#-simp_file_line--match)
* [`name`](#-simp_file_line--name)
* [`path`](#-simp_file_line--path)
* [`prepend`](#-simp_file_line--prepend)
* [`provider`](#-simp_file_line--provider)

##### <a name="-simp_file_line--deconflict"></a>`deconflict`

Valid values: `true`, `false`

Do not execute this type if there is a file type that already manages the
content of the target file unless $replace == false

Default value: `false`

##### <a name="-simp_file_line--line"></a>`line`

The line to be added to the file located by the path parameter.

##### <a name="-simp_file_line--match"></a>`match`

An optional regular expression to run against existing lines in the file.
If a match is found, we replace that line rather than adding a new line.

##### <a name="-simp_file_line--name"></a>`name`

namevar

An arbitrary name used as the identity of the resource.

##### <a name="-simp_file_line--path"></a>`path`

The file Puppet will ensure contains the line specified by the line parameter.

##### <a name="-simp_file_line--prepend"></a>`prepend`

Valid values: `true`, `false`

Prepend the line to the file if not using match

Default value: `false`

##### <a name="-simp_file_line--provider"></a>`provider`

The specific backend to use for this `simp_file_line` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

## Functions

### <a name="simplib--assert_metadata"></a>`simplib::assert_metadata`

Type: Puppet Language

Fails a compile if the client system is not compatible with the module's
`metadata.json`

NOTE: New capabilities will be added to the simplib::module_metadata::assert
function instead of here but this will remain to preserve backwards
compatibility

#### `simplib::assert_metadata(String[1] $module_name, Optional[Struct[{
    enable    => Optional[Boolean],
    os        => Optional[Struct[{
      validate => Optional[Boolean],
      options  => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]]
  }]] $options = simplib::lookup('simplib::assert_metadata::options', { 'default_value' => undef }))`

Fails a compile if the client system is not compatible with the module's
`metadata.json`

NOTE: New capabilities will be added to the simplib::module_metadata::assert
function instead of here but this will remain to preserve backwards
compatibility

Returns: `None`

##### `module_name`

Data type: `String[1]`

The name of the module that should be checked

##### `options`

Data type:

```puppet
Optional[Struct[{
    enable    => Optional[Boolean],
    os        => Optional[Struct[{
      validate => Optional[Boolean],
      options  => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]]
  }]]
```

Behavior modifiers for the function
* Can be set using `simplib::assert_metadata::options` in the `lookup`
  stack

**Options**

* enable    => If set to `false` disable all validation
* os
    * validate => Whether or not to validate the OS settings
    * options
        * release_match
          * none  -> No match on minor release (default)
          * full  -> Full release must match
          * major -> Only the major release must match

### <a name="simplib--assert_optional_dependency"></a>`simplib::assert_optional_dependency`

Type: Ruby 4.x API

Fails a compile if the system does not contain a correct version of the
required module in the current environment.

Provides a message about exactly which version of the module is required.

#### Examples

##### Check for the 'puppet/foo' optional dependency

```puppet

### metadata.json ###
"simp": {
  "optional_dependencies" [
    {
      "name": "puppet/foo",
      "version_requirement": ">= 1.2.3 < 4.5.6"
    }
  ]
}

### myclass.pp ###
# Check all dependencies
simplib::assert_optional_dependency($module_name)

# Check the module 'foo'
simplib::assert_optional_dependency($module_name, 'foo')

# Check the module 'foo' by author 'puppet'
simplib::assert_optional_dependency($module_name, 'puppet/foo')

# Check an alternate dependency target
simplib::assert_optional_dependency($module_name, 'puppet/foo', 'my:deps')
```

#### `simplib::assert_optional_dependency(String[1] $source_module, Optional[String[1]] $target_module, Optional[String[1]] $dependency_tree)`

Fails a compile if the system does not contain a correct version of the
required module in the current environment.

Provides a message about exactly which version of the module is required.

Returns: `None`

##### Examples

###### Check for the 'puppet/foo' optional dependency

```puppet

### metadata.json ###
"simp": {
  "optional_dependencies" [
    {
      "name": "puppet/foo",
      "version_requirement": ">= 1.2.3 < 4.5.6"
    }
  ]
}

### myclass.pp ###
# Check all dependencies
simplib::assert_optional_dependency($module_name)

# Check the module 'foo'
simplib::assert_optional_dependency($module_name, 'foo')

# Check the module 'foo' by author 'puppet'
simplib::assert_optional_dependency($module_name, 'puppet/foo')

# Check an alternate dependency target
simplib::assert_optional_dependency($module_name, 'puppet/foo', 'my:deps')
```

##### `source_module`

Data type: `String[1]`

The name of the module containing the dependency information (usually the
module that this function is being called from)

##### `target_module`

Data type: `Optional[String[1]]`

The target module to check. If not specified, all optional dependencies
in the tree will be checked.

* This may optionally be the full module name with the author in
  `author/module` form which allows for different logic paths that can use
  multiple vendor modules

##### `dependency_tree`

Data type: `Optional[String[1]]`

The root of the dependency tree in the module's `metadata.json` that
contains the optional dependencies.

* Nested levels should be separated by colons (`:`)

### <a name="simplib--bracketize"></a>`simplib::bracketize`

Type: Ruby 4.x API

Add brackets to strings of IPv6 addresses and `Arrays`
of IPv6 addresses based on the rules for bracketing
IPv6 addresses.

Ignores anything that does not look like an IPv6 address
and return those entries untouched.

#### `simplib::bracketize(Array[String] $ip_arr)`

The simplib::bracketize function.

Returns: `Variant[String, Array[String]]` converted input

##### Examples

###### Bracketize ip_arr input

```puppet

$foo = [ '2001:0db8:85a3:0000:0000:8a2e:0370:7334',
         '2001:0db8:85a3:0000:0000:8a2e:0370:7334/24' ]

$bar = simplib::bracketize($foo)

$bar contains:[ '[2001:0db8:85a3:0000:0000:8a2e:0370:7334]',
                '[2001:0db8:85a3:0000:0000:8a2e:0370:7334]/24' ]
```

##### `ip_arr`

Data type: `Array[String]`

The array of IPv6 addresses to bracketize

#### `simplib::bracketize(String $ipaddr_string)`

The simplib::bracketize function.

Returns: `Variant[String, Array[String]]` converted input

##### Examples

###### Bracketize ipaddr_string input

```puppet

$foo = '2001:0db8:85a3:0000:0000:8a2e:0370:7334,2001:0db8:85a3:0000:0000:8a2e:0370:7334/24 3456:0db8:85a3:0000:0000:8a2e:0370:7334'

$bar = simplib::bracketize($foo)

$bar contains:[ '[2001:0db8:85a3:0000:0000:8a2e:0370:7334]',
                '[2001:0db8:85a3:0000:0000:8a2e:0370:7334]/24',
                '[3456:0db8:85a3:0000:0000:8a2e:0370:7334]' ]
```

##### `ipaddr_string`

Data type: `String`

The string of IPv6 addresses to bracketize (comma, space, and/or semi-colon separated)

### <a name="simplib--caller"></a>`simplib::caller`

Type: Ruby 4.x API

Returns the location of whatever called the item that called this function (two levels up)

This is meant to be used inside other functions to tell you what is calling
the given function so that you can return a meaningful error message and has
limited utility outside of that situation.

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

#### `simplib::caller(Optional[Integer[0]] $depth, Optional[Boolean] $print)`

Returns the location of whatever called the item that called this function (two levels up)

This is meant to be used inside other functions to tell you what is calling
the given function so that you can return a meaningful error message and has
limited utility outside of that situation.

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

Returns: `Array` The caller

##### `depth`

Data type: `Optional[Integer[0]]`

The level to walk backwards in the stack. May be useful for popping out
of known function nesting

##### `print`

Data type: `Optional[Boolean]`

Whether or not to print to the visual output

### <a name="simplib--cron--expand_range"></a>`simplib::cron::expand_range`

Type: Puppet Language

Expand all ranges ('-') into a comma separated list

#### `simplib::cron::expand_range(String $range)`

Expand all ranges ('-') into a comma separated list

Returns: `String`

##### `range`

Data type: `String`

The range to convert

### <a name="simplib--cron--to_systemd"></a>`simplib::cron::to_systemd`

Type: Puppet Language

Convert a set of 'cron' native type parameters to a 'best effort' systemd
calendar String

#### `simplib::cron::to_systemd(Simplib::Cron::Minute $minute = '*', Simplib::Cron::Hour $hour = '*', Simplib::Cron::Month $month = '*', Simplib::Cron::Monthday $monthday = '*', Optional[Simplib::Cron::Weekday] $weekday = undef)`

Convert a set of 'cron' native type parameters to a 'best effort' systemd
calendar String

Returns: `String`

##### `minute`

Data type: `Simplib::Cron::Minute`

The `minute` parameter from the cron resource

##### `hour`

Data type: `Simplib::Cron::Hour`

The `hour` parameter from the cron resource

##### `month`

Data type: `Simplib::Cron::Month`

The `month` parameter from the cron resource

##### `monthday`

Data type: `Simplib::Cron::Monthday`

The `monthday` parameter from the cron resource

##### `weekday`

Data type: `Optional[Simplib::Cron::Weekday]`

The `weekday` parameter from the cron resource

### <a name="simplib--debug--classtrace"></a>`simplib::debug::classtrace`

Type: Ruby 4.x API

Prints out the stack of Puppet Classes and Defined Types that have been
called up to this point

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

#### `simplib::debug::classtrace(Optional[Boolean] $print)`

Prints out the stack of Puppet Classes and Defined Types that have been
called up to this point

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

Returns: `Array` The class trace

##### `print`

Data type: `Optional[Boolean]`

Whether or not to print to the visual output

### <a name="simplib--debug--inspect"></a>`simplib::debug::inspect`

Type: Ruby 4.x API

Prints out Puppet warning messages that display the passed variable, data
type, and location.

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

#### `simplib::debug::inspect(NotUndef $to_inspect, Optional[Boolean] $print)`

Prints out Puppet warning messages that display the passed variable, data
type, and location.

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

Returns: `Hash` Hash of the data that is printed

##### `to_inspect`

Data type: `NotUndef`

The parameter that you wish to inspect

##### `print`

Data type: `Optional[Boolean]`

Whether or not to print to the visual output

### <a name="simplib--debug--stacktrace"></a>`simplib::debug::stacktrace`

Type: Ruby 4.x API

Prints out a stacktrace of all files loaded up until the point where this
function was called

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

#### `simplib::debug::stacktrace(Optional[Boolean] $print)`

Prints out a stacktrace of all files loaded up until the point where this
function was called

WARNING: Uses **EXPERIMENTAL** features from Puppet, may break at any time.

Returns: `Array` The stack trace

##### `print`

Data type: `Optional[Boolean]`

Whether or not to print to the visual output

### <a name="simplib--deprecation"></a>`simplib::deprecation`

Type: Ruby 4.x API

Function to print deprecation warnings, logging a warning once
for a given key.

#### Examples

##### Emit a warning about a function that will be removed

```puppet

simplib::deprecation('simplib::foo', 'simplib::foo is deprecated and will be removed in a future version')
```

##### Emit a Warning about function that has been replaced

```puppet

simplib::deprecation('simplib::foo', 'simplib::foo is deprecated.  Please use simplib::foo2 instead')
```

#### `simplib::deprecation(String $key, String $message)`

Function to print deprecation warnings, logging a warning once
for a given key.

Returns: `Nil`

##### Examples

###### Emit a warning about a function that will be removed

```puppet

simplib::deprecation('simplib::foo', 'simplib::foo is deprecated and will be removed in a future version')
```

###### Emit a Warning about function that has been replaced

```puppet

simplib::deprecation('simplib::foo', 'simplib::foo is deprecated.  Please use simplib::foo2 instead')
```

##### `key`

Data type: `String`

Uniqueness key, which is used to dedupe messages.

##### `message`

Data type: `String`

Message to be printed, to which file and line
information will be appended, if available.

### <a name="simplib--dlookup"></a>`simplib::dlookup`

Type: Ruby 4.x API

A function for performing lookups targeted at ease of use with defined types.

Quite often you need to override something in an existing defined type and,
presently, you have to do this by creating a resource collector and
potentially ending up with unintended side-effects.

This function introduces the capability to consistently opt-in to a lookup
syntax for overriding all parameters of a given defined type or parameters on
a specific instance of a defined type.

This calls `simplib::lookup` under the hood after formatting the parameters
appropriately but was split out in case the underlying syntax needs to
change in the future.

There are two ways to call this method as shown in the following examples.

#### Examples

##### Global Options

```puppet

In this case, you want to set a parameter on *every* instance of your
defined type that is ever called. For example, this may be useful for
setting cipher suites to a modified global default to meet company policy.

This follows the general Puppet nomenclature for class lookups since you
cannot have a class and defined type of the same name.

Function Call:

```ruby
define mydef::global (
  $ssl_version = simplib::dlookup('mydef::global', 'ssl_version', { 'default_value' => 'SSLv3' })
) { ... }

mydef::global { 'test': }
```

Example Hieradata:

```yaml
---
mydef::global::ssl_version: 'TLS1.2'
```
```

##### Specific Instance Options

```puppet

In this case, you want to focus on a specific named instance of a defined
type resource and change only that parameter. If the specific instance
cannot be found, it will fall back to a global lookup for the parameter
as in the first example.

Function Call:

```ruby
define mydef::specific (
  $ssl_version = simplib::dlookup('mydef::specific', 'ssl_version', $title, { 'default_value' => 'SSLv3' })
) { ... }

mydef::specific{ 'test': }
```

Example Hieradata:

```yaml
---
"Mydef::Specific[test]::ssl_version": 'TLS1.2'
```

Note that, in this case, only the `test` instance of the `mydef::specific`
resource will have its `ssl_version` set to `TLS1.2`. All others will have
their version set to `SSLv3`.
```

#### `simplib::dlookup(String[1] $define_id, String[1] $param, Optional[Any] $options)`

The literal unique identifier of the defined type resource ('mydef::global'
in the examples)

Returns: `Any` The discovered data from Hiera

##### `define_id`

Data type: `String[1]`



##### `param`

Data type: `String[1]`

The parameter that you wish to look up

##### `options`

Data type: `Optional[Any]`

Hash of options for regular ``lookup()``

* This **must** follow the syntax rules for the
Puppet ``lookup( [<NAME>], <OPTIONS HASH> )`` version of ``lookup()``
* No other formats are supported!

#### `simplib::dlookup(String[1] $define_id, String[1] $param, String[1] $resource_title, Optional[Any] $options)`

The literal unique identifier of the defined type resource ('mydef::specific'
in the examples)

Returns: `Any` The discovered data from Hiera

##### `define_id`

Data type: `String[1]`



##### `param`

Data type: `String[1]`

The parameter that you wish to look up

##### `resource_title`

Data type: `String[1]`

The $title of the resource

##### `options`

Data type: `Optional[Any]`

Hash of options for regular ``lookup()``

* This **must** follow the syntax rules for the
Puppet ``lookup( [<NAME>], <OPTIONS HASH> )`` version of ``lookup()``
* No other formats are supported!

### <a name="simplib--filtered"></a>`simplib::filtered`

Type: Ruby 4.x API

Hiera v5 backend that takes a list of allowed hiera key names, and only
returns results from the underlying backend function that match those keys.

This allows hiera data to be delegated to end users in a multi-tenant
environment without allowing them the ability to override every hiera data
point (and potentially break systems)

#### Examples

##### Enabling the Backend

```puppet
---
version: 5 # Specific version of hiera we are using, required for v4 and v5
defaults:  # Used for any hierarchy level that omits these keys.
  datadir: "data"         # This path is relative to hiera.yaml's directory.
  data_hash: "yaml_data"  # Use the built-in YAML backend.
hierarchy: # Each hierarchy consists of multiple levels
  - name: "OSFamily"
    path: "osfamily/%{facts.osfamily}.yaml"
  - name: "datamodules"
    data_hash: simplib::filtered
    datadir: "delegated-data"
    paths:
      - "%{facts.sitename}/osfamily/%{facts.osfamily}.yaml"
      - "%{facts.sitename}/os/%{facts.operatingsystem}.yaml"
      - "%{facts.sitename}/host/%{facts.fqdn}.yaml"
      - "%{facts.sitename}/common.yaml"
    options:
      function: yaml_data
    filter:
      - profiles::ntp::servers
      - profiles::.*
  - name: "Common"
    path: "common.yaml"
```

#### `simplib::filtered(Hash $options, Puppet::LookupContext $context)`

The simplib::filtered function.

Returns: `Hash`

##### `options`

Data type: `Hash`



##### `context`

Data type: `Puppet::LookupContext`



#### `simplib::filtered(String $key, Hash $options, Puppet::LookupContext $context)`

The simplib::filtered function.

Returns: `Hash`

##### `key`

Data type: `String`



##### `options`

Data type: `Hash`



##### `context`

Data type: `Puppet::LookupContext`



### <a name="simplib--gen_random_password"></a>`simplib::gen_random_password`

Type: Ruby 4.x API

Generates a random password string.

Terminates catalog compilation if the password cannot be created
in the allotted time.

#### `simplib::gen_random_password(Integer[8] $length, Optional[Integer[0,2]] $complexity, Optional[Boolean] $complex_only, Optional[Variant[Integer[0],Float[0]]] $timeout_seconds)`

Generates a random password string.

Terminates catalog compilation if the password cannot be created
in the allotted time.

Returns: `String` Generated password

Raises:

* `if` password cannot be created within allotted time

##### `length`

Data type: `Integer[8]`

Length of the new password.

##### `complexity`

Data type: `Optional[Integer[0,2]]`

Specifies the types of characters to be used in the password
* `0` => Use only Alphanumeric characters (safest)
* `1` => Use Alphanumeric characters and reasonably safe symbols
* `2` => Use any printable ASCII characters

##### `complex_only`

Data type: `Optional[Boolean]`

Use only the characters explicitly added by the complexity rules

##### `timeout_seconds`

Data type: `Optional[Variant[Integer[0],Float[0]]]`

Maximum time allotted to generate
the password; a value of 0 disables the timeout

### <a name="simplib--hash_to_opts"></a>`simplib::hash_to_opts`

Type: Puppet Language

Turn a hash into a options string, for use in a shell command

#### Examples

##### simplib::hash_to_opts({'key' => 'value'})

```puppet
returns ``--key=value``
```

##### simplib::hash_to_opts({'key' => ['lo',7,false]})

```puppet
returns ``--key=lo,7,false``
```

##### simplib::hash_to_opts({'key' => Undef })

```puppet
returns ```--key``
```

##### simplib::hash_to_opts({'f' => '/tmp/file'}, {'connector' => ' ', 'prefix' => '-'})

```puppet
returns ``-f /tmp/file``
```

#### `simplib::hash_to_opts(Hash[String,Variant[Array,String,Numeric,Boolean,Undef]] $input, Struct[{
    Optional[connector] => String[1],
    Optional[prefix]    => String[1],
    Optional[repeat]    => Enum['comma','repeat'],
    Optional[delimiter] => String[1],
  }] $opts = {})`

Turn a hash into a options string, for use in a shell command

Returns: `String`

##### Examples

###### simplib::hash_to_opts({'key' => 'value'})

```puppet
returns ``--key=value``
```

###### simplib::hash_to_opts({'key' => ['lo',7,false]})

```puppet
returns ``--key=lo,7,false``
```

###### simplib::hash_to_opts({'key' => Undef })

```puppet
returns ```--key``
```

###### simplib::hash_to_opts({'f' => '/tmp/file'}, {'connector' => ' ', 'prefix' => '-'})

```puppet
returns ``-f /tmp/file``
```

##### `input`

Data type: `Hash[String,Variant[Array,String,Numeric,Boolean,Undef]]`

Input hash, with Strings as keys and either a String, Array,
Numeric, Boolean, or Undef as a value.

##### `opts`

Data type:

```puppet
Struct[{
    Optional[connector] => String[1],
    Optional[prefix]    => String[1],
    Optional[repeat]    => Enum['comma','repeat'],
    Optional[delimiter] => String[1],
  }]
```

Options hash. It only takes 3 keys, none of them required:
* ``connector``: String that joins each key and value pair. Defaults to '='
* ``prefix``: String that prefixes each key value pair. Defaults to '--'
* ``delimiter``: When a value is an array, the string that is used to
  deliminate each item. Defaults to ','
* ``repeat``: Whether to return array values as a deliminated string,
  or by repeating the option with each unique value

### <a name="simplib--host_is_me"></a>`simplib::host_is_me`

Type: Ruby 4.x API

Detect if a local system identifier hostname/IPv4 address matches
a specified hostname/IPv4 address or an entry in a list of
hostnames and/or IPv4 addresses

#### `simplib::host_is_me(Simplib::Host $host)`

The simplib::host_is_me function.

Returns: `Boolean` true if a local system hostname/IPv4 address matches
the specified host

##### `host`

Data type: `Simplib::Host`

Hostname/IPv4 address to compare against;
`127.0.0.1` is never matched, use `localhost` instead

#### `simplib::host_is_me(Array[Simplib::Host] $hosts)`

The simplib::host_is_me function.

Returns: `Boolean` true if a local system hostname/IPv4 address matches
any of the specified hosts

##### `hosts`

Data type: `Array[Simplib::Host]`

Array of Hostnames and/or IPv4 addresses to compare
against; `127.0.0.1` is never matched, use `localhost` instead

### <a name="simplib--in_bolt"></a>`simplib::in_bolt`

Type: Puppet Language

Returns ``true`` if the run is active inside of Bolt and ``false`` otherwise.

Presently, this function is extremely basic. However, this check was placed
here to allow us to update the check in the future without needing to modify
more than one module or hunt down code.

#### `simplib::in_bolt()`

Returns ``true`` if the run is active inside of Bolt and ``false`` otherwise.

Presently, this function is extremely basic. However, this check was placed
here to allow us to update the check in the future without needing to modify
more than one module or hunt down code.

Returns: `Boolean`

### <a name="simplib--inspect"></a>`simplib::inspect`

Type: Puppet Language

Prints the passed variable's Ruby type and value for debugging purposes

This uses a ``Notify`` resource to print the information during the client
run.

class my_test(
  String $var1,
  Hash   $var2
)
{
  simplib::inspect('var1')
  simplib::inspect('var2')
  ...
}

#### Examples

##### Debugging variable content

```puppet

```

#### `simplib::inspect(String $var_name, Enum['json','yaml', 'oneline_json'] $output_type = 'json')`

Prints the passed variable's Ruby type and value for debugging purposes

This uses a ``Notify`` resource to print the information during the client
run.

class my_test(
  String $var1,
  Hash   $var2
)
{
  simplib::inspect('var1')
  simplib::inspect('var2')
  ...
}

Returns: `None`

##### Examples

###### Debugging variable content

```puppet

```

##### `var_name`

Data type: `String`

The actual name of the variable, fully scoped, as a ``String``

##### `output_type`

Data type: `Enum['json','yaml', 'oneline_json']`

The format that you wish to use to display the output during the
run. 'json' and 'yaml' result in multi-line message content.
'oneline_json' results in single-line message content.

### <a name="simplib--ip--family_hash"></a>`simplib::ip::family_hash`

Type: Ruby 4.x API

Process an array of IP addresses and return them split by IP family and
include metadata and/or processed versions.

#### Examples

##### 

```puppet

simplib::ip::family_hash(
  [
    '1.2.3.4',
    '2.3.4.5/8',
    '::1',
  ]
)

Returns (YAML Formatted for clarity)

---
ipv4:
  '1.2.3.4':
    address: '1.2.3.4'
    netmask:
      ddq: '255.255.255.255'
      cidr: 32
  '2.3.4.5/8':
    address: '2.0.0.0'
    netmask:
      ddq: '255.0.0.0'
      cidr: 8
ipv6:
  '::1':
    address: '[::1]'
    netmask:
      ddq: nil
      cidr: 128
```

#### `simplib::ip::family_hash(Variant[
      Simplib::Host,
      Simplib::IP::V4::DDQ,
      Simplib::IP::V4::CIDR,
      Simplib::IP::V6::CIDR,
      Simplib::Netlist
    ] $ip_addresses)`

Process an array of IP addresses and return them split by IP family and
include metadata and/or processed versions.

Returns: `Hash` Converted Hash with the following format (YAML representation):

```
# IPv4 Addresses
ipv4:
  <Passed Address>:
    address: <normalized address>
    netmask:
      ddq: <dotted quad notation netmask>
      cidr: <CIDR netmask>
# IPv6 Addresses
ipv6:
  <Passed Address>:
    address: <normalized address>
    netmask:
      # DDQ is not valid for IPv6
      ddq: nil
      cidr: <CIDR netmask>
```

##### Examples

###### 

```puppet

simplib::ip::family_hash(
  [
    '1.2.3.4',
    '2.3.4.5/8',
    '::1',
  ]
)

Returns (YAML Formatted for clarity)

---
ipv4:
  '1.2.3.4':
    address: '1.2.3.4'
    netmask:
      ddq: '255.255.255.255'
      cidr: 32
  '2.3.4.5/8':
    address: '2.0.0.0'
    netmask:
      ddq: '255.0.0.0'
      cidr: 8
ipv6:
  '::1':
    address: '[::1]'
    netmask:
      ddq: nil
      cidr: 128
```

##### `ip_addresses`

Data type:

```puppet
Variant[
      Simplib::Host,
      Simplib::IP::V4::DDQ,
      Simplib::IP::V4::CIDR,
      Simplib::IP::V6::CIDR,
      Simplib::Netlist
    ]
```

The addresses to convert

### <a name="simplib--ip_to_cron"></a>`simplib::ip_to_cron`

Type: Ruby 4.x API

Transforms an IP address to one or more interval values for `cron`.
 This can be used to avoid starting a certain cron job at the same
 time on all servers.

#### Examples

##### Generate one value for the `minute` cron interval

```puppet
ip_to_cron()
```

##### Generate 2 values for the `hour` cron interval, using the

```puppet
'sha256' algorithm and a provided IP address

ip_to_cron(2,23,'sha256','10.0.23.45')
```

#### `simplib::ip_to_cron(Optional[Integer[1]] $occurs, Optional[Integer[1]] $max_value, Optional[IpToCronAlgorithm] $algorithm, Optional[Simplib::IP] $ip)`

Transforms an IP address to one or more interval values for `cron`.
 This can be used to avoid starting a certain cron job at the same
 time on all servers.

Returns: `Array[Integer]` Array of integers suitable for use in the
``minute`` or ``hour`` cron field.

##### Examples

###### Generate one value for the `minute` cron interval

```puppet
ip_to_cron()
```

###### Generate 2 values for the `hour` cron interval, using the

```puppet
'sha256' algorithm and a provided IP address

ip_to_cron(2,23,'sha256','10.0.23.45')
```

##### `occurs`

Data type: `Optional[Integer[1]]`

The occurrence within an interval, i.e., the number of values to
be generated for the interval.

##### `max_value`

Data type: `Optional[Integer[1]]`

The maximum value for the interval.  The values generated will
be in the inclusive range [0, max_value].

##### `algorithm`

Data type: `Optional[IpToCronAlgorithm]`

When 'ip_mod', the modulus of the IP number is used as the basis
for the returned values.  This algorithm works well to create
cron job intervals for multiple hosts, when the number of hosts
exceeds the `max_value` and the hosts have largely, linearly-
assigned IP addresses.

When 'sha256', a random number generated using the IP address
string is the basis for the returned values.  This algorithm
works well to create cron job intervals for multiple hosts,
when the number of hosts is less than the `max_value` or the
hosts do not have linearly-assigned IP addresses.

##### `ip`

Data type: `Optional[Simplib::IP]`

The IP address to use as the basis for the generated values.
When `nil`, the 'ipaddress' fact (IPv4) is used.

### <a name="simplib--ipaddresses"></a>`simplib::ipaddresses`

Type: Ruby 4.x API

Return an `Array` of all IPv4 addresses known to be associated with the
client, optionally excluding local addresses.

#### `simplib::ipaddresses(Optional[Boolean] $only_remote)`

Return an `Array` of all IPv4 addresses known to be associated with the
client, optionally excluding local addresses.

Returns: `Array[String]` List of IP addresses for the client

##### `only_remote`

Data type: `Optional[Boolean]`

Whether to exclude local addresses
from the return value (e.g., '127.0.0.1').

### <a name="simplib--join_mount_opts"></a>`simplib::join_mount_opts`

Type: Ruby 4.x API

Merge two sets of `mount` options in a reasonable fashion, giving
precedence to the second set.

#### `simplib::join_mount_opts(Array[String] $system_mount_opts, Array[String] $new_mount_opts)`

Merge two sets of `mount` options in a reasonable fashion, giving
precedence to the second set.

Returns: `String` Merged options string in which `new_mount_opts`
mount options take precedence; options are comma delimited

##### `system_mount_opts`

Data type: `Array[String]`

System mount options

##### `new_mount_opts`

Data type: `Array[String]`

New mount options, which will override
`system_mount_opts` when there are conflicts

### <a name="simplib--knockout"></a>`simplib::knockout`

Type: Puppet Language

uses the knockout prefix of '--' to remove elements from an array.

#### Examples

##### Using knockout

```puppet
array = [
  'ssh',
  'sudo',
  '--ssh',
]
result = simplib::knockout(array)

result => [
           'sudo'
          ]
```

#### `simplib::knockout(Array $array)`

uses the knockout prefix of '--' to remove elements from an array.

Returns: `Array` Resulting array.

##### Examples

###### Using knockout

```puppet
array = [
  'ssh',
  'sudo',
  '--ssh',
]
result = simplib::knockout(array)

result => [
           'sudo'
          ]
```

##### `array`

Data type: `Array`

The array to knockout

### <a name="simplib--ldap--domain_to_dn"></a>`simplib::ldap::domain_to_dn`

Type: Puppet Language

Generates a LDAP Base DN from a domain

#### Examples

##### Generate LDAP Base DN with uppercase attributes

```puppet

$ldap_dn = simplib::ldap::domain_to_dn('test.local')

returns $ldap_dn = 'DC=test,DC=local'
```

##### Generate LDAP Base DN with lowercase attributes

```puppet

$ldap_dn = simplib::ldap::domain_to_dn('test.local', true)

returns $ldap_dn = 'dc=test,dc=local'
```

#### `simplib::ldap::domain_to_dn(String $domain = $facts['networking']['domain'], Boolean $downcase_attributes = false)`

Generates a LDAP Base DN from a domain

Returns: `String`

##### Examples

###### Generate LDAP Base DN with uppercase attributes

```puppet

$ldap_dn = simplib::ldap::domain_to_dn('test.local')

returns $ldap_dn = 'DC=test,DC=local'
```

###### Generate LDAP Base DN with lowercase attributes

```puppet

$ldap_dn = simplib::ldap::domain_to_dn('test.local', true)

returns $ldap_dn = 'dc=test,dc=local'
```

##### `domain`

Data type: `String`

The domain to convert, defaults to the ``domain`` fact

##### `downcase_attributes`

Data type: `Boolean`

Whether to downcase the LDAP attributes

  * Different tools have bugs where they cannot, handle
    both upcased and downcased LDAP attribute elements

### <a name="simplib--lookup"></a>`simplib::lookup`

Type: Ruby 4.x API

A function for falling back to global scope variable lookups when the
Puppet 4 ``lookup()`` function cannot find a value.

While ``lookup()`` will stop at the back-end data sources,
``simplib::lookup()`` will check the global scope first to see if the
variable has been defined.

This means that you can pre-declare a class and/or use an ENC and look up the
variable whether it is declared this way or via Hiera or some other back-end.

#### Examples

##### No defaults

```puppet
simplib::lookup('foo::bar::baz')
```

##### With a default

```puppet
simplib::lookup('foo::bar::baz', { 'default_value' => 'Banana' })
```

##### With a typed default

```puppet
simplib::lookup('foo::bar::baz', { 'default_value' => 'Banana', 'value_type' => String })
```

#### `simplib::lookup(String $param, Optional[Any] $options)`

A function for falling back to global scope variable lookups when the
Puppet 4 ``lookup()`` function cannot find a value.

While ``lookup()`` will stop at the back-end data sources,
``simplib::lookup()`` will check the global scope first to see if the
variable has been defined.

This means that you can pre-declare a class and/or use an ENC and look up the
variable whether it is declared this way or via Hiera or some other back-end.

Returns: `Any` The value that is found in the system for the passed
parameter.

##### Examples

###### No defaults

```puppet
simplib::lookup('foo::bar::baz')
```

###### With a default

```puppet
simplib::lookup('foo::bar::baz', { 'default_value' => 'Banana' })
```

###### With a typed default

```puppet
simplib::lookup('foo::bar::baz', { 'default_value' => 'Banana', 'value_type' => String })
```

##### `param`

Data type: `String`

The parameter that you wish to look up

##### `options`

Data type: `Optional[Any]`

Hash of options for regular ``lookup()``

* This **must** follow the syntax rules for the
Puppet ``lookup( [<NAME>], <OPTIONS HASH> )`` version of ``lookup()``
* No other formats are supported!

### <a name="simplib--mock_data"></a>`simplib::mock_data`

Type: Ruby 4.x API

A mock data function

#### `simplib::mock_data(Hash $options, Puppet::LookupContext $context)`

The simplib::mock_data function.

Returns: `Any`

##### `options`

Data type: `Hash`



##### `context`

Data type: `Puppet::LookupContext`



#### `simplib::mock_data(String $key, Hash $options, Puppet::LookupContext $context)`

The simplib::mock_data function.

Returns: `Any`

##### `key`

Data type: `String`



##### `options`

Data type: `Hash`



##### `context`

Data type: `Puppet::LookupContext`



### <a name="simplib--module_exist"></a>`simplib::module_exist`

Type: Ruby 4.x API

Determines if a module exists in the current environment

If passed with an author, such as `simp/simplib` or `simp-simplib`, will
return whether or not that *specific* module exists.

#### `simplib::module_exist(String[1] $module_name)`

Determines if a module exists in the current environment

If passed with an author, such as `simp/simplib` or `simp-simplib`, will
return whether or not that *specific* module exists.

Returns: `Boolean` Whether or not the module exists in the current environment

##### `module_name`

Data type: `String[1]`

The module name to check

### <a name="simplib--module_metadata--assert"></a>`simplib::module_metadata::assert`

Type: Puppet Language

Fails a compile if the client system is not compatible with the module's
`metadata.json`

#### `simplib::module_metadata::assert(String[1] $module_name, Optional[Struct[{
    enable => Optional[Boolean],
    blacklist => Optional[Array[Variant[String[1], Hash[String[1], Variant[String[1], Array[String[1]]]]]]],
    blacklist_validation => Optional[Struct[{
      enable => Optional[Boolean],
      options  => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]],
    os_validation => Optional[Struct[{
      enable => Optional[Boolean],
      options => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]]
  }]] $options = simplib::lookup('simplib::assert_metadata::options', { 'default_value' => undef }))`

Fails a compile if the client system is not compatible with the module's
`metadata.json`

Returns: `None`

##### `module_name`

Data type: `String[1]`

The name of the module that should be checked

##### `options`

Data type:

```puppet
Optional[Struct[{
    enable => Optional[Boolean],
    blacklist => Optional[Array[Variant[String[1], Hash[String[1], Variant[String[1], Array[String[1]]]]]]],
    blacklist_validation => Optional[Struct[{
      enable => Optional[Boolean],
      options  => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]],
    os_validation => Optional[Struct[{
      enable => Optional[Boolean],
      options => Optional[Struct[{
        release_match => Enum['none','full','major']
      }]]
    }]]
  }]]
```

Options to control the assertion behavior

@see $simplib::module_metadata::os_blacklist::options
@see $simplib::module_metadata::os_supported::options

### <a name="simplib--module_metadata--os_blacklisted"></a>`simplib::module_metadata::os_blacklisted`

Type: Puppet Language

Returns whether or not the passed module is blacklisted per the module's
metadata.json.

If a blacklist is passed, then it will return `false` if the OS is in the
blacklist and `true` otherwise.

#### `simplib::module_metadata::os_blacklisted(Hash $module_metadata, Array[Variant[String[1], Hash[String[1], Variant[String[1], Array[String[1]]]]]] $blacklist, Optional[Struct[{
    release_match => Enum['none','full','major']
  }]] $options = undef)`

Returns whether or not the passed module is blacklisted per the module's
metadata.json.

If a blacklist is passed, then it will return `false` if the OS is in the
blacklist and `true` otherwise.

Returns: `Boolean` true  => The OS + release is blacklisted
false => The OS + release is not not blacklisted

##### `module_metadata`

Data type: `Hash`

A Hash of the contents of the metadata.json for a puppet module.

* In general, this should be generated by load_module_metadata($module_name)

##### `blacklist`

Data type: `Array[Variant[String[1], Hash[String[1], Variant[String[1], Array[String[1]]]]]]`

An Array of Strings or Hashes

* Strings: Only match against the OS name, effectively blacklisting
  all versions of the OS
* Hash: Must be of the form { 'OS' => ['version1', 'version2'] }

@example Blacklist all Windows, RHEL 7.2, and OEL 8.2
  [ 'Windows', { 'RedHat' => ['7.2'] }, { 'OracleLinux' => ['8.2'] ]

##### `options`

Data type:

```puppet
Optional[Struct[{
    release_match => Enum['none','full','major']
  }]]
```

Options that determine the nature of OS matching

Attributes:
  release_match:
     * 'none'  -> No match on release (default)
     * 'full'  -> Full release must match
     * 'major' -> Only the major release must match

### <a name="simplib--module_metadata--os_supported"></a>`simplib::module_metadata::os_supported`

Type: Puppet Language

Returns whether or not the passed module is supported per the module's
metadata.json.

#### `simplib::module_metadata::os_supported(Hash $module_metadata, Optional[Struct[{
    release_match => Enum['none','full','major']
  }]] $options = undef)`

Returns whether or not the passed module is supported per the module's
metadata.json.

Returns: `Boolean` true  => The OS + release is supported
false => The OS + release is not not supported

##### `module_metadata`

Data type: `Hash`

A Hash of the contents of the metadata.json for a puppet module.

* In general, this should be generated by load_module_metadata($module_name)

##### `options`

Data type:

```puppet
Optional[Struct[{
    release_match => Enum['none','full','major']
  }]]
```

Options that determine the nature of OS matching

Attributes:
  release_match:
     * 'none'  -> No match on release (default)
     * 'full'  -> Full release must match
     * 'major' -> Only the major release must match

### <a name="simplib--nets2cidr"></a>`simplib::nets2cidr`

Type: Ruby 4.x API

Take an input list of networks and returns an equivalent `Array` in
CIDR notation.

* Hostnames are passed through untouched.
* Terminates catalog compilation if any input item is not a
  valid network or hostname.

#### `simplib::nets2cidr(String $network_list)`

The simplib::nets2cidr function.

Returns: `Array[String]` Array of networks in CIDR notation

##### Examples

###### Convert space-separated network string

```puppet
$networks = '1.2.0.0/255.255.0.0 myhost.test.local'
$cidrs = nets2cidr($networks)

returns $cidrs = [ '1.2.0.0/16',
                   'myhost.test.local'
                 ]
```

##### `network_list`

Data type: `String`

List of 1 or more networks separated by spaces,
commas, or semicolons

#### `simplib::nets2cidr(Array $networks)`

The simplib::nets2cidr function.

Returns: `Array[String]` Array of networks in CIDR notation

##### Examples

###### Convert array of networks

```puppet
$networks = [ '1.2.0.0/255.255.0.0',
              '2001:db8:85a3::8a2e:370:0/112',
              '1.2.3.4',
              'myhost.test.local'
            ]
$cidrs = nets2cidr($networks)

returns $cidrs = [ '1.2.0.0/16',
                   '2001:db8:85a3::8a2e:370:0/112',
                   '1.2.3.4',
                   'myhost.test.local'
                 ]
```

##### `networks`

Data type: `Array`

Array of networks

### <a name="simplib--nets2ddq"></a>`simplib::nets2ddq`

Type: Ruby 4.x API

Tranforms a list of networks into an equivalent array in
dotted quad notation.

* IPv4 CIDR networks are converted to dotted quad notation networks.
  All other IP addresses and hostnames are left untouched.
* Terminates catalog compilation if any input item is not a
  valid network or hostname.

#### `simplib::nets2ddq(Array $networks)`

The simplib::nets2ddq function.

Returns: `Array[String]` Converted input

##### Examples

###### Convert Array input

```puppet

$foo = [ '10.0.1.0/24',
         '10.0.2.0/255.255.255.0',
         '10.0.3.25',
         'myhost',
         '2001:0db8:85a3:0000:0000:8a2e:0370:7334',
         '2001:0db8:85a3:0000:0000:8a2e:0370:7334/64' ]

$bar = simplib::nets2ddq($foo)

$bar contains:[ '10.0.1.0/255.255.255.0',
                '10.0.2.0/255.255.255.0',
                '10.0.3.25',
                'myhost',
                '2001:0db8:85a3:0000:0000:8a2e:0370:7334',
                '2001:0db8:85a3:0000:0000:8a2e:0370:7334/64' ]
```

##### `networks`

Data type: `Array`

The networks to convert

#### `simplib::nets2ddq(String $networks_string)`

The simplib::nets2ddq function.

Returns: `Array[String]` Converted input

##### Examples

###### Convert String input

```puppet

$foo = '10.0.1.0/24 10.0.2.0/255.255.255.0 10.0.3.25 myhost 2001:0db8:85a3:0000:0000:8a2e:0370:7334 2001:0db8:85a3:0000:0000:8a2e:0370:7334/64'

$bar = simplib::nets2ddq($foo)

$bar contains:[ '10.0.1.0/255.255.255.0',
                '10.0.2.0/255.255.255.0',
                '10.0.3.25',
                'myhost',
                '2001:0db8:85a3:0000:0000:8a2e:0370:7334',
                '2001:0db8:85a3:0000:0000:8a2e:0370:7334/64' ]
```

##### `networks_string`

Data type: `String`

String containing the list of networks to
convert; list elements are separated by spaces, commas or semicolons.

### <a name="simplib--params2hash"></a>`simplib::params2hash`

Type: Ruby 4.x API

Returns a Hash of the parameters of the calling resource

This is meant to get the parameters of classes and defined types.
The behavior when calling from other contexts is undefined

#### `simplib::params2hash(Optional[Array[String[1]]] $prune)`

Returns a Hash of the parameters of the calling resource

This is meant to get the parameters of classes and defined types.
The behavior when calling from other contexts is undefined

Returns: `Hash` All in-scope parameters

##### `prune`

Data type: `Optional[Array[String[1]]]`

Parameters that you wish to exclude from the output

### <a name="simplib--parse_hosts"></a>`simplib::parse_hosts`

Type: Ruby 4.x API

Convert an `Array` of items that may contain port numbers or protocols
into a structured `Hash` of host information.

* Works with Hostnames as well as IPv4 and IPv6 addresses.
* IPv6 addresses will be returned normalized with square brackets
  around them for clarity.
* Terminates catalog compilation if

    * A valid network or hostname cannot be extracted from all input items.
    * Any input item that contains a port specifies an invalid port.

#### Examples

##### Input with multiple host formats:

```puppet

simplib::parse_hosts(
  [
    '1.2.3.4',
    'http://1.2.3.4',
    'https://1.2.3.4:443',
  ]
)

Returns:

{
  '1.2.3.4' => {
    :ports     => ['443'],
    :protocols => {
      'http'  => [],
      'https' => ['443'],
    },
  },
}
```

#### `simplib::parse_hosts(Array[String[1],1] $hosts)`

Convert an `Array` of items that may contain port numbers or protocols
into a structured `Hash` of host information.

* Works with Hostnames as well as IPv4 and IPv6 addresses.
* IPv6 addresses will be returned normalized with square brackets
  around them for clarity.
* Terminates catalog compilation if

    * A valid network or hostname cannot be extracted from all input items.
    * Any input item that contains a port specifies an invalid port.

Returns: `Hash` Structured Hash of the host information

Raises:

* `if` a valid network or hostname cannot be extracted from all input items
* `if` any input item that contains a port specifies an invalid port

##### Examples

###### Input with multiple host formats:

```puppet

simplib::parse_hosts(
  [
    '1.2.3.4',
    'http://1.2.3.4',
    'https://1.2.3.4:443',
  ]
)

Returns:

{
  '1.2.3.4' => {
    :ports     => ['443'],
    :protocols => {
      'http'  => [],
      'https' => ['443'],
    },
  },
}
```

##### `hosts`

Data type: `Array[String[1],1]`

Array of host entries, where each entry may contain
a protocol or both a protocol and port

### <a name="simplib--passgen"></a>`simplib::passgen`

Type: Ruby 4.x API

Generates/retrieves a random password string or its hash for a
passed identifier.

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and accessed using simpkv.
    * Terminates catalog compilation if `password_options` contains invalid
      parameters, any simpkv operation fails or the password cannot be
      created in the allotted time.
  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if the password storage directory
      cannot be created/accessed by the Puppet user, the password cannot
      be created in the allotted time, or files not owned by the Puppet
      user are present in the password storage directory.
* To enable the simpkv mode, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.
* The minimum length password that this function will return is `8`
  characters.

#### `simplib::passgen(String[1] $identifier, Optional[Hash] $password_options, Optional[Hash] $simpkv_options)`

Generates/retrieves a random password string or its hash for a
passed identifier.

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and accessed using simpkv.
    * Terminates catalog compilation if `password_options` contains invalid
      parameters, any simpkv operation fails or the password cannot be
      created in the allotted time.
  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if the password storage directory
      cannot be created/accessed by the Puppet user, the password cannot
      be created in the allotted time, or files not owned by the Puppet
      user are present in the password storage directory.
* To enable the simpkv mode, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.
* The minimum length password that this function will return is `8`
  characters.

Returns: `String` Password or password hash specified.

* When the `last` password option is `true`, the password is determined
  as follows:

  * If the last password exists in the key/value store, uses the existing
    last password.
  * Otherwise, if the current password exists in the key/value store,
    uses the existing current password.
  * Otherwise, creates and stores a new password as the current password,
    and then uses this new password

* When `last` option is `false`, the password is determined as follows:

  * If the current password doesn't exist in the key/value store, creates
    and stores a new password as the current password, and then uses this
    new password.
  * Otherwise, if the current password exists in the key/value store and it
    has an appropriate length, uses the current password.
  * Otherwise, stores the current password as the last password, creates
    and stores a new password as the current password, and then uses this
    new password.

Raises:

* `Exception` if `password_options` contains invalid parameters, a simpkv operation fails, or password generation times out

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:
    * `._:-` for the legacy implementation
    * `._:-/` for the simpkv-enabled implementation
* Identifier may not contain '/./' or '/../' sequences.

##### `password_options`

Data type: `Optional[Hash]`

Password options

Options:

* **'last'** `Boolean`: Whether to return the last generated password.
Defaults to `false`.
* **'length'** `Integer[8]`: Length of the new password.
Defaults to `32`.
* **Enum[true,false,'md5',sha256','sha512']]** `Enum[true,false,'md5',sha256','sha512']] 'hash'sha256' a `Hash` of the password instead of the password itself.
Defaults to `false`.  `true` is equivalent to 'sha256'.`: 'hash'
Return a `Hash` of the password instead of the password itself.
Defaults to `false`.  `true` is equivalent to 'sha256'.
* **'complexity'** `Integer[0,2]`: Specifies the types of characters to be used in the password
  * `0` => Default. Use only Alphanumeric characters in your password (safest)
  * `1` => Add reasonably safe symbols
  * `2` => Printable ASCII
* **'complex_only'** `Boolean`: Whether to use only the characters explicitly added by the complexity rules.
For example, when `complexity` is `1`, create a password from only safe symbols.
Defaults to `false`.
* **'gen_timeout_seconds'** `Variant[Integer[0],Float[0]]`: Maximum time allotted to generate the password.
  * Value of `0` disables the timeout.
  * Defaults to `30`.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.

  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--gen_password_and_salt"></a>`simplib::passgen::gen_password_and_salt`

Type: Ruby 4.x API

Generates a password and salt

* Password length, complexity and complex-only settings are specified by
  the caller.
* Salt length, complexity and complex-only settings are hard-coded
  to values appropriate for a salt.

* Terminates catalog compilation if the password and salt cannot be created
  in the allotted time.

#### `simplib::passgen::gen_password_and_salt(Integer[8] $length, Integer[0,2] $complexity, Boolean $complex_only, Variant[Integer[0],Float[0]] $timeout_seconds)`

Generates a password and salt

* Password length, complexity and complex-only settings are specified by
  the caller.
* Salt length, complexity and complex-only settings are hard-coded
  to values appropriate for a salt.

* Terminates catalog compilation if the password and salt cannot be created
  in the allotted time.

Returns: `Array` Generated <password,salt> pair

Raises:

* `if` password cannot be created within allotted time

##### `length`

Data type: `Integer[8]`

Length of the new password.

##### `complexity`

Data type: `Integer[0,2]`

Specifies the types of characters to be used in the
password
  * `0` => Use only Alphanumeric characters (safest)
  * `1` => Use Alphanumeric characters and reasonably safe symbols
  * `2` => Use any printable ASCII characters

##### `complex_only`

Data type: `Boolean`

Use only the characters explicitly added by the
complexity rules

##### `timeout_seconds`

Data type: `Variant[Integer[0],Float[0]]`

Maximum time allotted to generate the password or
the salt; a value of 0 disables the timeout

### <a name="simplib--passgen--gen_salt"></a>`simplib::passgen::gen_salt`

Type: Ruby 4.x API

Generates a salt

* Terminates catalog compilation if the salt cannot be created
  in the allotted time.

#### `simplib::passgen::gen_salt(Optional[Variant[Integer[0],Float[0]]] $timeout_seconds)`

Generates a salt

* Terminates catalog compilation if the salt cannot be created
  in the allotted time.

Returns: `String` Generated salt

Raises:

* `if` password cannot be created within allotted time

##### `timeout_seconds`

Data type: `Optional[Variant[Integer[0],Float[0]]]`

Maximum time allotted to generate the salt;
a value of 0 disables the timeout

### <a name="simplib--passgen--get"></a>`simplib::passgen::get`

Type: Ruby 4.x API

Retrieves a generated password and any stored attributes

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and retrieved using simpkv.
    * Terminates catalog compilation if any simpkv operation fails.
  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if the password storage directory
      cannot be accessed by the user.
* To enable the simpkv mode, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.
* Terminates compilation if a simpkv operation fails or a legacy password file
  is inaccessible by the user.

#### `simplib::passgen::get(String[1] $identifier, Optional[Hash] $simpkv_options)`

Retrieves a generated password and any stored attributes

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and retrieved using simpkv.
    * Terminates catalog compilation if any simpkv operation fails.
  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if the password storage directory
      cannot be accessed by the user.
* To enable the simpkv mode, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.
* Terminates compilation if a simpkv operation fails or a legacy password file
  is inaccessible by the user.

Returns: `Hash` Password information or {} if the password does not exist

* 'value'- Hash containing 'password' and 'salt' attributes
* 'metadata' - Hash containing a 'history' attribute, and when available,
  'complexity' and 'complex_only' attributes.
   * 'history' is an Array of up to the last 10 <password,salt> pairs.
     history[0][0] is the most recent password and history[0][1] is its
     salt.

Raises:

* `Exception` if a simpkv operation fails or a legacy password file is inaccessible by the user

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:
    * `._:-` for the legacy implementation
    * `._:-/` for the simpkv-enabled implementation
* Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.

  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--legacy--common_settings"></a>`simplib::passgen::legacy::common_settings`

Type: Ruby 4.x API

Returns common settings used by simplib::passgen in legacy mode

#### `simplib::passgen::legacy::common_settings()`

Returns common settings used by simplib::passgen in legacy mode

Returns: `Hash` Settings Hash containing 'keydir', 'user', 'group',
'dir_mode' and 'file_mode' attributes

### <a name="simplib--passgen--legacy--get"></a>`simplib::passgen::legacy::get`

Type: Ruby 4.x API

Retrieves a generated password and any stored attributes that have
been stored in files on the local file system at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`

Terminates catalog compilation if a legacy password file is inaccessible by
the user.

#### `simplib::passgen::legacy::get(String[1] $identifier)`

Retrieves a generated password and any stored attributes that have
been stored in files on the local file system at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`

Terminates catalog compilation if a legacy password file is inaccessible by
the user.

Returns: `Hash` Password information or {} if the password does not exist

* 'value'- Hash containing 'password' and 'salt' attributes
* 'metadata' - Hash containing 'history' attribute.
  * 'history' is an Array of  <password,hash> pairs that will contain at most
    1 entry.
  * No other metadata is provided in legacy mode.

Raises:

* `Exception` if a legacy password file is inaccessible by the user

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:  `._:-`

### <a name="simplib--passgen--legacy--list"></a>`simplib::passgen::legacy::list`

Type: Ruby 4.x API

Retrieves the list of generated passwords with attributes stored
in files on the local files system at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.

* Any password file that cannot be accessed or for which the password
  is empty will be ignored
* Terminates catalog compilation if the password root directory cannot be
  accessed by the user.

#### `simplib::passgen::legacy::list()`

Retrieves the list of generated passwords with attributes stored
in files on the local files system at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.

* Any password file that cannot be accessed or for which the password
  is empty will be ignored
* Terminates catalog compilation if the password root directory cannot be
  accessed by the user.

Returns: `Hash` Hash of results or {} if folder does not exist

* 'keys' = Hash of password information
  * 'value'- Hash containing 'password' and 'salt' attributes
  * 'metadata' - Hash containing other stored attributes.  Will always be empty,
    as the legacy simplib::passgen does not store any other attributes.
* 'folders' = Array of sub-folder names.  Will always be empty, as legacy
  simplib::passgen does not support password identifiers prefixed with a
  folder path.

Raises:

* `Exception` If password root directory cannot be accessed by the user.

### <a name="simplib--passgen--legacy--passgen"></a>`simplib::passgen::legacy::passgen`

Type: Ruby 4.x API

Generates/retrieves a random password string or its hash for a
passed identifier.

* Password info is stored in files on the local file system at
  `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
* The minimum length password that this function will return is `8`
  characters.
* Terminates catalog compilation if the password storage directory
  cannot be created/accessed by the Puppet user, the password cannot
  be created in the allotted time, or files not owned by the Puppet
  user are present in the password storage directory.

#### `simplib::passgen::legacy::passgen(String[1] $identifier, Optional[Hash] $modifier_hash)`

Generates/retrieves a random password string or its hash for a
passed identifier.

* Password info is stored in files on the local file system at
  `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
* The minimum length password that this function will return is `8`
  characters.
* Terminates catalog compilation if the password storage directory
  cannot be created/accessed by the Puppet user, the password cannot
  be created in the allotted time, or files not owned by the Puppet
  user are present in the password storage directory.

Returns: `String` Password or password hash specified. If no
`modifier_hash` or an invalid `modifier_hash` is provided,
it will return the currently stored/generated password.

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.

##### `modifier_hash`

Data type: `Optional[Hash]`

Options `Hash`. May include any
of the following options:
* `last` => `false`(*) or `true`
     * Return the last generated password
* `length` => `Integer`
     * Length of the new password
* `hash` => `false`(*), `true`, `md5`, `sha256` (true), `sha512`
     * Return a `Hash` of the password instead of the password itself
* `complexity` => `0`(*), `1`, `2`
     * `0` => Use only Alphanumeric characters in your password (safest)
     * `1` => Add reasonably safe symbols
     * `2` => Printable ASCII
* `user` => user for generated files/directories
     * Defaults to the Puppet user.
     * Only useful when running `puppet apply` as the `root` user.
* `group => Group for generated files/directories
     * Defaults to the Puppet user.
     * Only useful when running `puppet apply` as the `root` user.
**private options:**
* `password` => contains the string representation of the password to hash (used for testing)
* `salt` => contains the string literal salt to use (used for testing)
* `complex_only` => use only the characters explicitly added by the complexity rules (used for testing)

### <a name="simplib--passgen--legacy--remove"></a>`simplib::passgen::legacy::remove`

Type: Ruby 4.x API

Removes a generated password, history and stored attributes

* Password info is stored in files on the local file system at
  `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
  * Password is stored in a file named for the identifier.
  * Salt is stored in a separate file named <identifier>.salt`.
  * Backups of the password and salt are files ending with '.last'.
* Removes all password and salt files for the identifier.
* Terminates catalog compilation if any password files cannot be
  removed by the user.

#### `simplib::passgen::legacy::remove(String[1] $identifier)`

Removes a generated password, history and stored attributes

* Password info is stored in files on the local file system at
  `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
  * Password is stored in a file named for the identifier.
  * Salt is stored in a separate file named <identifier>.salt`.
  * Backups of the password and salt are files ending with '.last'.
* Removes all password and salt files for the identifier.
* Terminates catalog compilation if any password files cannot be
  removed by the user.

Returns: `Nil`

Raises:

* `Exception` any legacy password file cannot be removed

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:
    * `._:-` for the legacy implementation
    * `._:-/` for the simpkv-enabled implementation
* Identifier may not contain '/./' or '/../' sequences.

### <a name="simplib--passgen--legacy--set"></a>`simplib::passgen::legacy::set`

Type: Ruby 4.x API

Stores a generated password and salt in files on the local filesystem at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.

* Sets the password and salt
  * Password is stored in a file named for the identifier.
  * Salt is stored in a separate file named <identifier>.salt`.
* Backs up previous password and salt files
  * Backup files are named `<identifier>.last` and <identifier>.salt.last`.
* Terminates catalog compilation if any password files cannot be created/modified by the user.

#### `simplib::passgen::legacy::set(String[1] $identifier, String[1] $password, String[1] $salt, Optional[String[1]] $user, Optional[String[1]] $group)`

Stores a generated password and salt in files on the local filesystem at
`Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.

* Sets the password and salt
  * Password is stored in a file named for the identifier.
  * Salt is stored in a separate file named <identifier>.salt`.
* Backs up previous password and salt files
  * Backup files are named `<identifier>.last` and <identifier>.salt.last`.
* Terminates catalog compilation if any password files cannot be created/modified by the user.

Returns: `Nil`

Raises:

* `Exception` if any legacy password files cannot be be created/modified by the user.

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters: `._:-`

##### `password`

Data type: `String[1]`

Password value

##### `salt`

Data type: `String[1]`

Salt for the password for use in encryption operations

##### `user`

Data type: `Optional[String[1]]`

User for generated files/directories
  * Defaults to the user compiling the catalog.
  * Only useful when running `puppet apply` as the `root` user.

##### `group`

Data type: `Optional[String[1]]`

Group for generated files/directories
  * Defaults to the group compiling the catalog.
  * Only useful when running `puppet apply` as the `root` user.

### <a name="simplib--passgen--list"></a>`simplib::passgen::list`

Type: Ruby 4.x API

Retrieves the list of generated passwords with attributes and the
list of sub-folders stored at a simplib::passgen folder.

* Folder specification is only possible in simpkv mode, because only
  simpkv-enable simplib::passgen supports password identifiers prefixed
  with a folder path
* List operation does not recurse into sub-folders.
* Supports 2 modes:

  * simpkv
    * Password info is stored in a key/value store and retrieved using simpkv.
    * Terminates catalog compilation if any simpkv operation fails.
  * Legacy
    * Passwordinfo is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if any password file cannot be accessed
      by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

#### `simplib::passgen::list(Optional[String] $folder, Optional[Hash] $simpkv_options)`

Retrieves the list of generated passwords with attributes and the
list of sub-folders stored at a simplib::passgen folder.

* Folder specification is only possible in simpkv mode, because only
  simpkv-enable simplib::passgen supports password identifiers prefixed
  with a folder path
* List operation does not recurse into sub-folders.
* Supports 2 modes:

  * simpkv
    * Password info is stored in a key/value store and retrieved using simpkv.
    * Terminates catalog compilation if any simpkv operation fails.
  * Legacy
    * Passwordinfo is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
    * Terminates catalog compilation if any password file cannot be accessed
      by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

Returns: `Hash` Hash of results or {} if folder does not exist

* 'keys' = Hash of password information
  * 'value'- Hash containing 'password' and 'salt' attributes
  * 'metadata' - Hash containing 'complexity' and 'complex_only'
     attributes when that information is available; {} otherwise.
* 'folders' = Array of sub-folder names

Raises:

* `Exception` if a simpkv operation fails or any legacy password file cannot be accessed by the user.

##### `folder`

Data type: `Optional[String]`

Unique `String` to identify the password sub-folder
of the root folder for simplib::passgen
* Only applies when in simpkv mode
* When unset, the list operation will be for the root folder
* Otherwise, must conform to the following:
  * Identifier must contain only the following characters:
    * a-z
    * A-Z
    * 0-9
    * The following special characters: `._:-/`
  * Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.

  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--remove"></a>`simplib::passgen::remove`

Type: Ruby 4.x API

Removes a generated password, history and stored attributes

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and removed using simpkv.
      * simpkv key is the identifier.
    * Terminates catalog compilation if any simpkv operation fails.

  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
      * Password is stored in a file named for the identifier.
      * Salt is stored in a separate file named <identifier>.salt`.
      * Backups of the password and salt are files ending with '.last'.
    * Removes all password and salt files for the identifier.
    * Terminates catalog compilation if any password files cannot be
      removed by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

#### `simplib::passgen::remove(String[1] $identifier, Optional[Hash] $simpkv_options)`

Removes a generated password, history and stored attributes

* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and removed using simpkv.
      * simpkv key is the identifier.
    * Terminates catalog compilation if any simpkv operation fails.

  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
      * Password is stored in a file named for the identifier.
      * Salt is stored in a separate file named <identifier>.salt`.
      * Backups of the password and salt are files ending with '.last'.
    * Removes all password and salt files for the identifier.
    * Terminates catalog compilation if any password files cannot be
      removed by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

Returns: `Nil`

Raises:

* `Exception` if a simpkv operation fails or any legacy password file cannot be removed

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:
    * `._:-` for the legacy implementation
    * `._:-/` for the simpkv-enabled implementation
* Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.

  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--set"></a>`simplib::passgen::set`

Type: Ruby 4.x API

Sets a generated password with attributes

* Sets the password and salt, backs up the previous password and salt, and
  depending upon mode selected, persists other password information.
* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and stored using simpkv.
      * simpkv key is the identifier.
      * simpkv value is a Hash with 'password' and 'salt' attributes
      * simpkv metadata is a Hash with 'complexity', 'complex_only' and
        'history' attributes
        * 'complexity' and 'complex_only' attributes are stored so that the
          user can regenerate the password the same characteristics as the
          current password, as needed.
        * 'history' attribute stores up to 10 most recent <password,salt>
          pairs.
    * Terminates catalog compilation if any simpkv operation fails.

  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
      * Password is stored in a file named for the identifier.
      * Salt is stored in a separate file named <identifier>.salt`.
    * Backs up most recent password and salt files
      * Backup files are named `<identifier>.last` and <identifier>.salt.last`.
    * Terminates catalog compilation if any password files cannot be
      created/modified by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

#### `simplib::passgen::set(String[1] $identifier, String[1] $password, String[1] $salt, Hash $password_options, Optional[Hash] $simpkv_options)`

Sets a generated password with attributes

* Sets the password and salt, backs up the previous password and salt, and
  depending upon mode selected, persists other password information.
* Supports 2 modes:
  * simpkv
    * Password info is stored in a key/value store and stored using simpkv.
      * simpkv key is the identifier.
      * simpkv value is a Hash with 'password' and 'salt' attributes
      * simpkv metadata is a Hash with 'complexity', 'complex_only' and
        'history' attributes
        * 'complexity' and 'complex_only' attributes are stored so that the
          user can regenerate the password the same characteristics as the
          current password, as needed.
        * 'history' attribute stores up to 10 most recent <password,salt>
          pairs.
    * Terminates catalog compilation if any simpkv operation fails.

  * Legacy
    * Password info is stored in files on the local file system at
      `Puppet.settings[:vardir]/simp/environments/$environment/simp_autofiles/gen_passwd/`.
      * Password is stored in a file named for the identifier.
      * Salt is stored in a separate file named <identifier>.salt`.
    * Backs up most recent password and salt files
      * Backup files are named `<identifier>.last` and <identifier>.salt.last`.
    * Terminates catalog compilation if any password files cannot be
      created/modified by the user.

* To enable simpkv implementation, set `simplib::passgen::simpkv` to `true`
  in hieradata. When that setting absent or false, legacy mode will be used.

Returns: `Nil`

Raises:

* `Exception` if required `password_options` missing, a simpkv operation fails, or any legacy password files cannot be be created/modified by the user.

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters:
    * `._:-` for the legacy implementation
    * `._:-/` for the simpkv-enabled implementation
* Identifier may not contain '/./' or '/../' sequences.

##### `password`

Data type: `String[1]`

Password value

##### `salt`

Data type: `String[1]`

Salt for the password for use in encryption operations

##### `password_options`

Data type: `Hash`

Password options to be used/persisted

Options:

* **'complexity'** `Integer[0,2]`: Specifies the types of characters in the password
  * `0` => Only Alphanumeric characters
  * `1` => Alphanumeric characters plus reasonably safe symbols
  * `2` => Printable ASCII
  * Required by simpkv mode
  * Unused by legacy mode
* **'complex_only'** `Boolean`: Whether the password contains only the characters explicitly added by the
complexity rules.  For example, when `complexity` is `1`, the password
contains only safe symbols.
  * Required by simpkv mode
  * Unused by legacy mode
* **'user'** `String`: User for generated files/directories
  * Defaults to the user compiling the catalog.
  * Only useful when running `puppet apply` as the `root` user.
  * Optional for legacy mode
  * Unused by simpkv mode
* **'group'** `String`: Group for generated files/directories
  * Defaults to the group compiling the catalog.
  * Only useful when running `puppet apply` as the `root` user.
  * Optional for legacy mode
  * Unused by simpkv mode

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.
  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--get"></a>`simplib::passgen::simpkv::get`

Type: Ruby 4.x API

Retrieves a generated password and stored attributes from a key/value store
using simpkv

Terminates catalog compilation if any simpkv operation fails.

#### `simplib::passgen::simpkv::get(String[1] $identifier, Optional[Hash] $simpkv_options)`

Retrieves a generated password and stored attributes from a key/value store
using simpkv

Terminates catalog compilation if any simpkv operation fails.

Returns: `Hash` Password information or {} if the password does not exist

* 'value'- Hash containing 'password' and 'salt' attributes
* 'metadata' - Hash containing 'complexity', 'complex_only' and
  'history' attributes
   * 'history' is an Array of up to the last 10 <password,salt> pairs.
     history[0][0] is the most recent password and history[0][1] is its
     salt.

Raises:

* `Exception` if a simpkv operation fails or retrieved information is malformed

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters: `._:-/`
* Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration that will be merged `simpkv::options`.
All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--list"></a>`simplib::passgen::simpkv::list`

Type: Ruby 4.x API

Using simpkv, retrieves the list of generated passwords with attributes and
the list of sub-folders stored at a simplib::passgen folder in a key/value
store.

* List operation does not recurse into sub-folders.
* Terminates catalog compilation if any simpkv operation fails.

#### `simplib::passgen::simpkv::list(Optional[String] $folder, Optional[Hash] $simpkv_options)`

Using simpkv, retrieves the list of generated passwords with attributes and
the list of sub-folders stored at a simplib::passgen folder in a key/value
store.

* List operation does not recurse into sub-folders.
* Terminates catalog compilation if any simpkv operation fails.

Returns: `Hash` Hash of results or {} if folder does not exist

* 'keys' = Hash of password information
  * 'value'- Hash containing 'password' and 'salt' attributes
  * 'metadata' - Hash containing 'complexity', 'complex_only' and
    'history' attributes
    * 'history' is an Array of up to the last 10 <password,salt> pairs.
      history[0][0] is the most recent password and history[0][1] is its
      salt.
* 'folders' = Array of sub-folder names

Raises:

* `Exception` if a simpkv operation fails

##### `folder`

Data type: `Optional[String]`

Unique `String` to identify the password sub-folder
of the root folder for simplib::passgen
* When unset or '', the list operation will be for the root folder
* Otherwise, must conform to the following:
  * Identifier must contain only the following characters:
    * a-z
    * A-Z
    * 0-9
    * The following special characters: `._:-/`
  * Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration that will be merged `simpkv::options`.
All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--passgen"></a>`simplib::passgen::simpkv::passgen`

Type: Ruby 4.x API

Generates/retrieves a random password string or its hash for a
passed identifier.

* Password info is stored in a key/value store and accessed using simpkv.
* The minimum length password that this function will return is `8`
  characters.
* Terminates catalog compilation if `password_options` contains invalid
  parameters, any simpkv operation fails or the password cannot be created
  in the allotted time.

#### `simplib::passgen::simpkv::passgen(String[1] $identifier, Optional[Hash] $password_options, Optional[Hash] $simpkv_options)`

Generates/retrieves a random password string or its hash for a
passed identifier.

* Password info is stored in a key/value store and accessed using simpkv.
* The minimum length password that this function will return is `8`
  characters.
* Terminates catalog compilation if `password_options` contains invalid
  parameters, any simpkv operation fails or the password cannot be created
  in the allotted time.

Returns: `String` Password or password hash specified.

* When the `last` password option is `true`, the password is determined
  as follows:

  * If the last password exists in the key/value store, uses the existing
    last password.
  * Otherwise, if the current password exists in the key/value store,
    uses the existing current password.
  * Otherwise, creates and stores a new password as the current password,
    and then uses this new password

* When `last` option is `false`, the password is determined as follows:

  * If the current password doesn't exist in the key/value store, creates
    and stores a new password as the current password, and then uses this
    new password.
  * Otherwise, if the current password exists in the key/value store and it
    has an appropriate length, uses the current password.
  * Otherwise, stores the current password as the last password, creates
    and stores a new password as the current password, and then uses this
    new password.

Raises:

* `Exception` if `password_options` contains invalid parameters, a simpkv operation fails, or password generation times out

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters: `._:-/`
* Identifier may not contain '/./' or '/../' sequences.

##### `password_options`

Data type: `Optional[Hash]`

Password options

Options:

* **'last'** `Boolean`: Whether to return the last generated password.
Defaults to `false`.
* **'length'** `Integer[8]`: Length of the new password.
Defaults to `32`.
* **Enum[true,false,'md5',sha256','sha512']]** `Enum[true,false,'md5',sha256','sha512']] 'hash'sha256' a `Hash` of the password instead of the password itself.
Defaults to `false`.  `true` is equivalent to 'sha256'.`: 'hash'
Return a `Hash` of the password instead of the password itself.
Defaults to `false`.  `true` is equivalent to 'sha256'.
* **'complexity'** `Integer[0,2]`: Specifies the types of characters to be used in the password
  * `0` => Default. Use only Alphanumeric characters in your password (safest)
  * `1` => Add reasonably safe symbols
  * `2` => Printable ASCII
* **'complex_only'** `Boolean`: Whether to use only the characters explicitly added by the complexity
rules.  For example, when `complexity` is `1`, create a password from only
safe symbols.
Defaults to `false`.
* **'gen_timeout_seconds'** `Variant[Integer[0],Float[0]]`: Maximum time allotted to generate the password.
  * Value of `0` disables the timeout.
  * Defaults to `30`.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration that will be merged with
`simpkv::options`.  All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--remove"></a>`simplib::passgen::simpkv::remove`

Type: Ruby 4.x API

Removes a generated password, history and stored attributes

* Password info is stored in a key/value store and removed using simpkv.
  * simpkv key is the identifier.
* Terminates catalog compilation if any simpkv operation fails.

#### `simplib::passgen::simpkv::remove(String[1] $identifier, Optional[Hash] $simpkv_options)`

Removes a generated password, history and stored attributes

* Password info is stored in a key/value store and removed using simpkv.
  * simpkv key is the identifier.
* Terminates catalog compilation if any simpkv operation fails.

Returns: `Nil`

Raises:

* `Exception` if a simpkv operation fails or any legacy password file cannot be removed

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters: `._:-/`
* Identifier may not contain '/./' or '/../' sequences.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration when in simpkv mode.

  * Will be merged with `simpkv::options`.
  * All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--root_dir"></a>`simplib::passgen::simpkv::root_dir`

Type: Ruby 4.x API

Returns the root directory in simpkv for password info generated by
simplib::passgen

#### `simplib::passgen::simpkv::root_dir()`

Returns the root directory in simpkv for password info generated by
simplib::passgen

Returns: `String` root directory in simpkv for password info generated by
simplib::passgen

### <a name="simplib--passgen--simpkv--set"></a>`simplib::passgen::simpkv::set`

Type: Ruby 4.x API

Using simpkv, sets a generated password with attributes

* simpkv key is the identifier.
* simpkv value is a Hash with 'password' and 'salt' attributes
* simpkv metadata is a Hash with 'complexity', 'complex_only' and 'history'
  attributes
 * 'complexity' and 'complex_only' attributes are stored so that the password
   to be regenerated with the same characteristics and the current password.
 * 'history' attribute stores up to 10 most recent <password,salt> pairs.
* Stores complexity and complex_only settings in metadata so the password can
  be regenerated with the same characteristics and the current password
* Maintains a history of up to 10 previous <password,salt> pairs in metadata.
* Terminates catalog compilation if any simpkv operation fails.

#### `simplib::passgen::simpkv::set(String[1] $identifier, String[1] $password, String[1] $salt, Integer[0,2] $complexity, Boolean $complex_only, Optional[Hash] $simpkv_options)`

Using simpkv, sets a generated password with attributes

* simpkv key is the identifier.
* simpkv value is a Hash with 'password' and 'salt' attributes
* simpkv metadata is a Hash with 'complexity', 'complex_only' and 'history'
  attributes
 * 'complexity' and 'complex_only' attributes are stored so that the password
   to be regenerated with the same characteristics and the current password.
 * 'history' attribute stores up to 10 most recent <password,salt> pairs.
* Stores complexity and complex_only settings in metadata so the password can
  be regenerated with the same characteristics and the current password
* Maintains a history of up to 10 previous <password,salt> pairs in metadata.
* Terminates catalog compilation if any simpkv operation fails.

Returns: `Nil`

Raises:

* `Exception` if a simpkv operation fails

##### `identifier`

Data type: `String[1]`

Unique `String` to identify the password usage.
Must conform to the following:
* Identifier must contain only the following characters:
  * a-z
  * A-Z
  * 0-9
  * The following special characters: `._:-/`
* Identifier may not contain '/./' or '/../' sequences.

##### `password`

Data type: `String[1]`

Password value

##### `salt`

Data type: `String[1]`

Salt for the password for use in encryption operations

##### `complexity`

Data type: `Integer[0,2]`

Specifies the types of characters in the password
  * `0` => Only Alphanumeric characters
  * `1` => Alphanumeric characters plus reasonably safe symbols
  * `2` => Printable ASCII

##### `complex_only`

Data type: `Boolean`

Whether the password contains only the characters explicitly added by the
complexity rules.  For example, when `complexity` is `1`, the password
contains only safe symbols.

##### `simpkv_options`

Data type: `Optional[Hash]`

simpkv configuration that will be merged `simpkv::options`.
All keys are optional.

Options:

* **'app_id'** `String`: Specifies an application name that can be used to identify which backend
configuration to use via fuzzy name matching, in the absence of the
`backend` option.

  * More flexible option than `backend`.
  * Useful for grouping together simpkv function calls found in different
    catalog resources.
  * When specified and the `backend` option is absent, the backend will be
    selected preferring a backend in the merged `backends` option whose
    name exactly matches the `app_id`, followed by the longest backend
    name that matches the beginning of the `app_id`, followed by the
    `default` backend.
  * When absent and the `backend` option is also absent, this function
    will use the `default` backend.
* **'backend'** `String`: Definitive name of the backend to use.

  * Takes precedence over `app_id`.
  * When present, must match a key in the `backends` option of the
    merged options Hash or the function will fail.
  * When absent in the merged options, this function will select
    the backend as described in the `app_id` option.
* **'backends'** `Hash`: Hash of backend configurations

  * Each backend configuration in the merged options Hash must be
    a Hash that has the following keys:

    * `type`:  Backend type.
    * `id`:  Unique name for the instance of the backend. (Same backend
      type can be configured differently).

   * Other keys for configuration specific to the backend may also be
     present.
* **'environment'** `String`: Puppet environment to prepend to keys.

  * When set to a non-empty string, it is prepended to the key used in
    the backend operation.
  * Should only be set to an empty string when the key being accessed is
    truly global.
  * Defaults to the Puppet environment for the node.
* **'softfail'** `Boolean`: Whether to ignore simpkv operation failures.

  * When `true`, this function will return a result even when the
    operation failed at the backend.
  * When `false`, this function will fail when the backend operation
    failed.
  * Defaults to `false`.

### <a name="simplib--passgen--simpkv--valid_password_info"></a>`simplib::passgen::simpkv::valid_password_info`

Type: Ruby 4.x API

Returns whether password information retrieved from simpkv is valid

#### `simplib::passgen::simpkv::valid_password_info(Hash $password_info)`

Returns whether password information retrieved from simpkv is valid

Returns: `Boolean` Returns true if the 'value' attribute contains
'password' and 'salt' attributes and the 'metadta' attribute contains
'complexity', 'complex_only' and 'history' attributes

##### `password_info`

Data type: `Hash`

Hash of password information retrieved from simpkv
* 'value'- Hash that should contain 'password' and 'salt' attributes
* 'metadata' - Hash that should contain 'complexity', 'complex_only' and
    'history' attributes

### <a name="simplib--rand_cron"></a>`simplib::rand_cron`

Type: Ruby 4.x API

Transforms an input string to one or more interval values for `cron`.
 This can be used to avoid starting a certain cron job at the same
 time on all servers.

#### Examples

##### Generate one value for the `minute` cron interval using

```puppet
the 'sha256' algorithm

rand_cron('myhost.test.local','sha256')
```

##### Generate 2 values for the `minute` cron interval using

```puppet
the 'sha256' algorithm applied to the numeric representation of
an IP

rand_cron('10.0.23.45', 'sha256')
```

##### Generate 2 values for the `hour` cron interval, using the

```puppet
'ip_mod' algorithm

rand_cron('10.0.6.78', 'ip_mod', 2, 23)
```

#### `simplib::rand_cron(String $modifier, RandCronAlgorithm $algorithm, Optional[Integer[1]] $occurs, Optional[Integer[1]] $max_value)`

Transforms an input string to one or more interval values for `cron`.
 This can be used to avoid starting a certain cron job at the same
 time on all servers.

Returns: `Array[Integer]` Array of integers suitable for use in the
``minute`` or ``hour`` cron field.

##### Examples

###### Generate one value for the `minute` cron interval using

```puppet
the 'sha256' algorithm

rand_cron('myhost.test.local','sha256')
```

###### Generate 2 values for the `minute` cron interval using

```puppet
the 'sha256' algorithm applied to the numeric representation of
an IP

rand_cron('10.0.23.45', 'sha256')
```

###### Generate 2 values for the `hour` cron interval, using the

```puppet
'ip_mod' algorithm

rand_cron('10.0.6.78', 'ip_mod', 2, 23)
```

##### `modifier`

Data type: `String`

The input string to use as the basis for the generated values.

##### `algorithm`

Data type: `RandCronAlgorithm`

Randomization algorithm to apply to transform the input string.

When 'sha256', a random number generated from the input string
via sha256 is used as the basis for the returned values.
If the input string is an IP address, this algorithm works well to
create cron job intervals for multiple hosts, when the number
of hosts is less than the `max_value` or the hosts do not have
linearly-assigned IP addresses.

When 'ip_mod' and the input string is an IP address, the modulus
of the numeric IP is used as the basis for the returned values.
This algorithm works well to create cron job intervals for
multiple hosts, when the number of hosts exceeds the `max_value`
and the hosts have linearly-assigned IP addresses.

When 'ip_mod' and the input string is not an IP address, for
backward compatibility,  the crc32 of the input string will
be used as the basis for the returned values.

When 'crc32', the crc32 of the input string will be used as the
basis for the returned values.

##### `occurs`

Data type: `Optional[Integer[1]]`

The occurrence within an interval, i.e., the number of values to
be generated for the interval. Defaults to `1`.

##### `max_value`

Data type: `Optional[Integer[1]]`

The maximum value for the interval.  The values generated will
be in the inclusive range [0, max_value]. Defaults to `60` for
use in the `minute` cron field.

### <a name="simplib--safe_filename"></a>`simplib::safe_filename`

Type: Puppet Language

Convert a string into a filename that is 'path safe'

The goal is to ensure that files do not contain characters that may
accidentally turn into deeper path entries or invalid filenames.

This is not perfect but should be sufficient for most cases and can be
improved over time.

#### `simplib::safe_filename(String $input, String[1] $pattern = '[\\\\/?*:|"<>]', String[1] $replacement = '__')`

Convert a string into a filename that is 'path safe'

The goal is to ensure that files do not contain characters that may
accidentally turn into deeper path entries or invalid filenames.

This is not perfect but should be sufficient for most cases and can be
improved over time.

Returns: `String`

##### `input`

Data type: `String`

String that should be converted into a 'path safe' filename

##### `pattern`

Data type: `String[1]`

The pattern to be used to match characters that may cause issues in filenames

##### `replacement`

Data type: `String[1]`

String that should be used to replace all instances of unsafe characters in `$input`

### <a name="simplib--simp_version"></a>`simplib::simp_version`

Type: Ruby 4.x API

Return the version of SIMP that this server is running or "unknown\n"

#### `simplib::simp_version(Optional[Boolean] $strip_whitespace)`

Return the version of SIMP that this server is running or "unknown\n"

Returns: `String` Version string if the version can be detected;
"unknown\n" otherwise

##### `strip_whitespace`

Data type: `Optional[Boolean]`

Whether to strip whitespace from the
version string.  Without stripping, the string may end with
a "\n"

### <a name="simplib--strip_ports"></a>`simplib::strip_ports`

Type: Ruby 4.x API

Extract list of unique hostnames and/or IP addresses from an `Array`
of hosts, each of which may may contain protocols and/or port numbers

Terminates catalog compilation if

* A valid network or hostname cannot be extracted from all input items.
* Any input item that contains a port specifies an invalid port.

#### Examples

##### 

```puppet

$foo = ['https://mysite.net:8443',
        'http://yoursite.net:8081',
        'https://theirsite.com']

$bar = simplib::strip_ports($foo)

$bar contains: ['mysite.net','yoursite.net','theirsite.com']
```

#### `simplib::strip_ports(Array[String[1],1] $hosts)`

Extract list of unique hostnames and/or IP addresses from an `Array`
of hosts, each of which may may contain protocols and/or port numbers

Terminates catalog compilation if

* A valid network or hostname cannot be extracted from all input items.
* Any input item that contains a port specifies an invalid port.

Returns: `Array[String]` Non-port portion of hostnames

Raises:

* `if` any input item that contains a port specifies an invalid port

##### Examples

###### 

```puppet

$foo = ['https://mysite.net:8443',
        'http://yoursite.net:8081',
        'https://theirsite.com']

$bar = simplib::strip_ports($foo)

$bar contains: ['mysite.net','yoursite.net','theirsite.com']
```

##### `hosts`

Data type: `Array[String[1],1]`

List of hosts which may contain protocols and port numbers.

### <a name="simplib--to_integer"></a>`simplib::to_integer`

Type: Ruby 4.x API

Converts the argument into an `Integer`.

Terminates catalog compilation if the argument's class
does not respond to the `to_i()` Ruby method.

#### `simplib::to_integer(Any $input)`

Converts the argument into an `Integer`.

Terminates catalog compilation if the argument's class
does not respond to the `to_i()` Ruby method.

Returns: `Integer` Converted input

Raises:

* `if` ``input`` does not implement a ``to_i()`` method

##### `input`

Data type: `Any`

The argument to convert into an `Integer`

### <a name="simplib--to_string"></a>`simplib::to_string`

Type: Ruby 4.x API

Converts the argument into a `String`.

#### `simplib::to_string(Any $input)`

Converts the argument into a `String`.

Returns: `String` Converted input

##### `input`

Data type: `Any`

The argument to convert into a `String`

### <a name="simplib--validate_array_member"></a>`simplib::validate_array_member`

Type: Ruby 4.x API

Validate that an single input is a member of another `Array` or an
`Array` input is a subset of another `Array`.

* The comparison can optionally ignore the case of `String` elements.
* Terminates catalog compilation if validation fails.

#### Examples

##### Validating single input

```puppet

validate_array_member('foo',['foo','bar'])     # succeeds
validate_array_member('foo',['FOO','BAR'])     # fails
validate_array_member('foo',['FOO','BAR'],'i') # succeeds
```

##### Validating array input

```puppet

validate_array_member(['foo','bar'],['foo','bar','baz'])      # succeeds
validate_array_member(['foo','bar'],['FOO','BAR','BAZ'])      # fails
validate_array_member(['foo','bar'],['FOO','BAR','BAZ'], 'i') # succeeds
```

#### `simplib::validate_array_member(Variant[SimpleTypes,Array[SimpleTypes]] $input, Array[SimpleTypes] $target, Optional[Enum['i']] $modifier)`

Validate that an single input is a member of another `Array` or an
`Array` input is a subset of another `Array`.

* The comparison can optionally ignore the case of `String` elements.
* Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `if` validation fails

##### Examples

###### Validating single input

```puppet

validate_array_member('foo',['foo','bar'])     # succeeds
validate_array_member('foo',['FOO','BAR'])     # fails
validate_array_member('foo',['FOO','BAR'],'i') # succeeds
```

###### Validating array input

```puppet

validate_array_member(['foo','bar'],['foo','bar','baz'])      # succeeds
validate_array_member(['foo','bar'],['FOO','BAR','BAZ'])      # fails
validate_array_member(['foo','bar'],['FOO','BAR','BAZ'], 'i') # succeeds
```

##### `input`

Data type: `Variant[SimpleTypes,Array[SimpleTypes]]`

Input to find within the target

##### `target`

Data type: `Array[SimpleTypes]`



##### `modifier`

Data type: `Optional[Enum['i']]`

Modification to be made to the comparison
operation.  Currently, 'i', string case invariance is the only
supported modifier.

### <a name="simplib--validate_between"></a>`simplib::validate_between`

Type: Ruby 4.x API

Validate that the first value is between the second and third values
numerically. The range is inclusive.

Terminates catalog compilation if validation fails.

#### Examples

##### Passing

```puppet
simplib::validate_between('-1', -3, 0)
simplib::validate_between(7, 0, 60)
simplib::validate_between(7.6, 7.1, 8.4)
```

#### `simplib::validate_between(Variant[String[1],Numeric] $value, Numeric $min_value, Numeric $max_value)`

Validate that the first value is between the second and third values
numerically. The range is inclusive.

Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `if` validation fails

##### Examples

###### Passing

```puppet
simplib::validate_between('-1', -3, 0)
simplib::validate_between(7, 0, 60)
simplib::validate_between(7.6, 7.1, 8.4)
```

##### `value`

Data type: `Variant[String[1],Numeric]`

Value to validate

##### `min_value`

Data type: `Numeric`

Minimum value that is valid

##### `max_value`

Data type: `Numeric`

Maximum value that is valid

### <a name="simplib--validate_bool"></a>`simplib::validate_bool`

Type: Ruby 4.x API

Validate that all passed values are either `true`, 'true',
`false` or 'false'.

Terminates catalog compilation if validation fails.

#### Examples

##### Passing validation

```puppet

$iamtrue = true
validate_bool(true)
validate_bool("false")
validate_bool("true")
validate_bool(true, 'true', false, $iamtrue)
```

##### Failing validation

```puppet
$some_array = [ true ]
validate_bool($some_array)
validate_bool('True')
validate_bool('TRUE')
```

#### `simplib::validate_bool(Variant[String,Boolean] *$values_to_validate)`

Validate that all passed values are either `true`, 'true',
`false` or 'false'.

Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `if` validation fails

##### Examples

###### Passing validation

```puppet

$iamtrue = true
validate_bool(true)
validate_bool("false")
validate_bool("true")
validate_bool(true, 'true', false, $iamtrue)
```

###### Failing validation

```puppet
$some_array = [ true ]
validate_bool($some_array)
validate_bool('True')
validate_bool('TRUE')
```

##### `*values_to_validate`

Data type: `Variant[String,Boolean]`

One or more values to validate

### <a name="simplib--validate_deep_hash"></a>`simplib::validate_deep_hash`

Type: Ruby 4.x API

Perform a deep validation on two passed `Hashes`.

* All keys must be defined in the reference `Hash` that is being
  validated against.
* Unknown keys in the `Hash` being compared will cause a failure in
  validation
* All values in the final leaves of the 'reference 'Hash' must
  be a String, Boolean, or nil.
* All values in the final leaves of the `Hash` being compared must
  support a to_s() method.
* Terminates catalog compilation if validation fails.

#### Examples

##### Passing Examples

```puppet
reference = {
  'foo' => {
    'bar' => {
      #NOTE: Use quotes for regular expressions instead of '/'
      'baz' => '^\d+$',
      'abc' => '^\w+$',
      'def' => nil
    },
    'baz' => {
      'qrs' => false
      'xyz' => '^true|false$'
    }
  }
}

to_check = {
  'foo' => {
    'bar' => {
      'baz' => ['123', 45]
      'abc' => [ 'these', 'are', 'words' ],
      'def' => 'Anything will work here!'
    },
    'baz' => {
      'qrs' => false
      'xyz' => true
    }
  }
}

validate_deep_hash(reference, to_check)
```

##### Failing Examples

```puppet
reference => { 'foo' => '^\d+$' }
to_check  => { 'foo' => 'abc' }

validate_deep_hash(reference, to_check)
```

#### `simplib::validate_deep_hash(Hash $reference, Hash $to_check)`

Perform a deep validation on two passed `Hashes`.

* All keys must be defined in the reference `Hash` that is being
  validated against.
* Unknown keys in the `Hash` being compared will cause a failure in
  validation
* All values in the final leaves of the 'reference 'Hash' must
  be a String, Boolean, or nil.
* All values in the final leaves of the `Hash` being compared must
  support a to_s() method.
* Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `if` validation fails

##### Examples

###### Passing Examples

```puppet
reference = {
  'foo' => {
    'bar' => {
      #NOTE: Use quotes for regular expressions instead of '/'
      'baz' => '^\d+$',
      'abc' => '^\w+$',
      'def' => nil
    },
    'baz' => {
      'qrs' => false
      'xyz' => '^true|false$'
    }
  }
}

to_check = {
  'foo' => {
    'bar' => {
      'baz' => ['123', 45]
      'abc' => [ 'these', 'are', 'words' ],
      'def' => 'Anything will work here!'
    },
    'baz' => {
      'qrs' => false
      'xyz' => true
    }
  }
}

validate_deep_hash(reference, to_check)
```

###### Failing Examples

```puppet
reference => { 'foo' => '^\d+$' }
to_check  => { 'foo' => 'abc' }

validate_deep_hash(reference, to_check)
```

##### `reference`

Data type: `Hash`

Hash to validate against. Keys at all levels of
the hash define the structure of the hash and the value at each
final leaf in the hash tree contains a regular expression string,
a boolean or nil for value validation:

* When the validation value is a regular expression string,
  the string representation of the to_check value (from the
  to_s() method) will be compared to the regular expression
  contained in the reference string.

* When the validation value is a Boolean, the string
  representation of the to_check value will be compared
  with the string representation of the Boolean (as provided
  by the to_s() method).

* When the validation value is a `nil` or 'nil', no value
  validation will be done for the key.

* When the to_check value contains an `Array` of values for a
  key, the validation for that key will be applied to each
  element in that array.

##### `to_check`

Data type: `Hash`

Hash to be validated against the reference

### <a name="simplib--validate_net_list"></a>`simplib::validate_net_list`

Type: Ruby 4.x API

Validate that a passed list (`Array` or single `String`) of networks
is filled with valid IP addresses, network addresses (CIDR notation),
or hostnames.

* Hostnames are checked per RFC 1123.
* Ports appended with # a colon `:` are allowed for hostnames and
  individual IP addresses.
* Terminates catalog compilation if validation fails.

#### `simplib::validate_net_list(String $net, Optional[String] $str_match)`

The simplib::validate_net_list function.

Returns: `Nil`

##### Examples

###### Passing

```puppet

$trusted_nets = '10.10.10.0/24'
simplib::validate_net_list($trusted_nets)

$trusted_nets = '1.2.3.5:400'
simplib::validate_net_list($trusted_nets)

$trusted_nets = 'ALL'
simplib::validate_net_list($trusted_nets,'^(%any|ALL)$')
```

###### Failing

```puppet

$trusted_nets = '10.10.10.0/24,1.2.3.4'
simplib::validate_net_list($trusted_nets)

$trusted_nets = 'bad stuff'
simplib::validate_net_list($trusted_nets)
```

##### `net`

Data type: `String`

Single network to be validated.

##### `str_match`

Data type: `Optional[String]`

Stringified regular expression (regex without
the `//` delimiters)

#### `simplib::validate_net_list(Array[String] $net_list, Optional[String] $str_match)`

The simplib::validate_net_list function.

Returns: `Nil`

##### Examples

###### Passing

```puppet

$trusted_nets = ['10.10.10.0/24','1.2.3.4','1.3.4.5:400']
simplib::validate_net_list($trusted_nets)

$trusted_nets = '10.10.10.0/24'
simplib::validate_net_list($trusted_nets)

$trusted_nets = ['10.10.10.0/24','1.2.3.4','%any','ALL']
simplib::validate_net_list($trusted_nets,'^(%any|ALL)$')
```

###### Failing

```puppet

$trusted_nets = ['10.10.10.0/24 1.2.3.4']
simplib::validate_net_list($trusted_nets)

$trusted_nets = 'bad stuff'
simplib::validate_net_list($trusted_nets)
```

##### `net_list`

Data type: `Array[String]`

`Array` of networks to be validated.

##### `str_match`

Data type: `Optional[String]`

Stringified regular expression (regex without
the `//` delimiters)

### <a name="simplib--validate_port"></a>`simplib::validate_port`

Type: Ruby 4.x API

Validates whether each passed argument contains valid port(s).

* Each element of each argument must, numerically, be in the
  range [1, 65535].
* Terminates catalog compilation if validation fails.

#### Examples

##### Passing

```puppet
$port = '10541'
$ports = [5555, '7777', '1', '65535']
simplib::validate_port($port)
simplib::validate_port($ports)
simplib::validate_port('11', 22)
simplib::validate_port('11', $ports)
```

##### Failing

```puppet
simplib::validate_port('0')
simplib::validate_port(65536)
simplib::validate_port('1', '1000', '100000')
simplib::validate_port(['1', '1000', '100000'])
simplib::validate_port('1', ['1000', '100000'])
```

#### `simplib::validate_port(Variant[String[1],Integer,StringOrIntegerArray] *$port_args)`

Validates whether each passed argument contains valid port(s).

* Each element of each argument must, numerically, be in the
  range [1, 65535].
* Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `if` validation fails

##### Examples

###### Passing

```puppet
$port = '10541'
$ports = [5555, '7777', '1', '65535']
simplib::validate_port($port)
simplib::validate_port($ports)
simplib::validate_port('11', 22)
simplib::validate_port('11', $ports)
```

###### Failing

```puppet
simplib::validate_port('0')
simplib::validate_port(65536)
simplib::validate_port('1', '1000', '100000')
simplib::validate_port(['1', '1000', '100000'])
simplib::validate_port('1', ['1000', '100000'])
```

##### `*port_args`

Data type: `Variant[String[1],Integer,StringOrIntegerArray]`

Arguments each of which contain either an
individual port or an array of ports.

### <a name="simplib--validate_re_array"></a>`simplib::validate_re_array`

Type: Ruby 4.x API

Perform simple validation of a `String`, or `Array` of `Strings`,
against one or more regular expressions.

* Derived from the Puppet Labs stdlib validate_re.
* Terminates catalog compilation if validation fails.

#### `simplib::validate_re_array(String $input, String $regex, Optional[String] $err_msg)`

The simplib::validate_re_array function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
simplib::validate_re_array('one', '^one$')
```

###### Failing

```puppet
validate_re_array('one', '^two')
```

###### Custom Error Message

```puppet
validate_re_array($::puppetversion, '^2.7', 'The $puppetversion fact value does not match 2.7')
```

##### `input`

Data type: `String`

String to be validated

##### `regex`

Data type: `String`

Stringified regex expression (regex without the `//`
delimiters)

##### `err_msg`

Data type: `Optional[String]`

Optional error message to emit upon failure

#### `simplib::validate_re_array(String $input, Array $regex_list, Optional[String] $err_msg)`

The simplib::validate_re_array function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
simplib::validate_re_array('one', [ '^one', '^two' ])
```

###### Failing

```puppet
validate_re_array('one', [ '^two', '^three' ])
```

###### Custom Error Message

```puppet
$myvar = 'baz'
validate_re_array($myvar, ['^foo', '^bar'], 'myvar does not begin with foo or bar')
```

##### `input`

Data type: `String`

String to be validated

##### `regex_list`

Data type: `Array`

Array of stringified regex expressions (
regexes without the `//` delimiters)

##### `err_msg`

Data type: `Optional[String]`

Optional error message to emit upon failure

#### `simplib::validate_re_array(Array $inputs, String $regex, Optional[String] $err_msg)`

The simplib::validate_re_array function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
simplib::validate_re_array(['one-a', 'one-b'], [ '^one', '^two' ])
```

###### Failing

```puppet
validate_re_array(['one-a', 'one-b'], [ '^two', '^three' ])
```

###### Custom Error Message

```puppet
$myvar = ['hello', 'world']
validate_re_array($myvar, '^foo', 'myvar elements do not begin with foo')
```

##### `inputs`

Data type: `Array`

Array of strings to be validated

##### `regex`

Data type: `String`

Stringified regex expression (regex without the `//`
delimiters)

##### `err_msg`

Data type: `Optional[String]`

Optional error message to emit upon failure

#### `simplib::validate_re_array(Array $inputs, Array $regex_list, Optional[String] $err_msg)`

The simplib::validate_re_array function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
simplib::validate_re_array(['one-a', 'one-b'], [ '^one', '^two' ])
```

###### Failing

```puppet
validate_re_array(['one-a', 'one-b'], [ '^two', '^three' ])
```

###### Custom Error Message

```puppet
$myvar = ['hello', 'world']
validate_re_array($myvar, ['^foo', '^bar'], 'myvar elements do not begin with foo or bar')
```

##### `inputs`

Data type: `Array`

Array of strings to be validated

##### `regex_list`

Data type: `Array`

Array of stringified regex expressions (
regexes without the `//` delimiters)

##### `err_msg`

Data type: `Optional[String]`

Optional error message to emit upon failure

### <a name="simplib--validate_sysctl_value"></a>`simplib::validate_sysctl_value`

Type: Ruby 4.x API

Validate that the passed value is correct for the passed `sysctl` key.

* If a key is not known, assumes the value is valid.
* Terminates catalog compilation if validation fails.

#### Examples

##### Passing validation

```puppet
validate_sysctl_value('kernel.core_pattern','/var/core/%u_%g_%p_%t_%h_%e.core')
```

#### `simplib::validate_sysctl_value(String $key, NotUndef $value)`

Validate that the passed value is correct for the passed `sysctl` key.

* If a key is not known, assumes the value is valid.
* Terminates catalog compilation if validation fails.

Returns: `Nil`

Raises:

* `upon` validation failure

##### Examples

###### Passing validation

```puppet
validate_sysctl_value('kernel.core_pattern','/var/core/%u_%g_%p_%t_%h_%e.core')
```

##### `key`

Data type: `String`

sysctl setting whose value is to be validated

##### `value`

Data type: `NotUndef`

Value to be validated

### <a name="simplib--validate_uri_list"></a>`simplib::validate_uri_list`

Type: Ruby 4.x API

Validate that a passed list (`Array` or single `String`) of URIs is
valid according to Ruby's URI parser.

* *Caution*:  No scheme (protocol type) validation is done if the
   `scheme_list` parameter is not set.
* Terminates catalog compilation if validation fails.

#### `simplib::validate_uri_list(String[1] $uri, Optional[Array[String]] $scheme_list)`

The simplib::validate_uri_list function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
$uri = 'http://foo.bar.baz:1234'
simplib::validate_uri_list($uri)

$uri = 'ldap://my.ldap.server'
simplib::validate_uri_list($uri,['ldap','ldaps'])
```

##### `uri`

Data type: `String[1]`

URI to be validated.

##### `scheme_list`

Data type: `Optional[Array[String]]`

List of schemes (protocol types) allowed for the URI.

#### `simplib::validate_uri_list(Array[String[1],1] $uri_list, Optional[Array[String]] $scheme_list)`

The simplib::validate_uri_list function.

Returns: `Nil`

##### Examples

###### Passing

```puppet
$uris = ['http://foo.bar.baz:1234','ldap://my.ldap.server']
simplib::validate_uri_list($uris)

$uris = ['ldap://my.ldap.server','ldaps://my.ldap.server']
simplib::validate_uri_list($uris,['ldap','ldaps'])
```

##### `uri_list`

Data type: `Array[String[1],1]`

1 or more URIs to be validated.

##### `scheme_list`

Data type: `Optional[Array[String]]`

List of schemes (protocol types) allowed for the URI.

## Data types

### <a name="Simplib--Cron--Hour"></a>`Simplib::Cron::Hour`

Matches valid cron hour parameter

Alias of `Variant[Simplib::Cron::Hour_entry, Array[Simplib::Cron::Hour_entry]]`

### <a name="Simplib--Cron--Hour_entry"></a>`Simplib::Cron::Hour_entry`

Matches valid cron hour parameter

Tested with Rubular: https://rubular.com/r/y7jCmNCjgTl4kx

Alias of

```puppet
Variant[Integer[0,23], Pattern['^(?x)(?:\*|
(?:\*\/(?:[01]?\d|2[0-3]))|
(?:(?:[01]?\d|2[0-3])(?:(?:(-|,)(?:[01]?\d|2[0-3]))?(?:\/(?:[01]?\d|2[0-3]))?)?)
)$']]
```

### <a name="Simplib--Cron--Minute"></a>`Simplib::Cron::Minute`

Matches valid cron minute parameter

Alias of `Variant[Simplib::Cron::Minute_entry, Array[Simplib::Cron::Minute_entry]]`

### <a name="Simplib--Cron--Minute_entry"></a>`Simplib::Cron::Minute_entry`

Matches valid cron minute parameter

Tested with Rubular: https://rubular.com/r/kBrcbFmFldCR7q

Alias of

```puppet
Variant[Integer[0,59], Pattern['^(?x)(?:\*|
(?:\*\/(?:[0-5]?\d))|
(?:(?:[0-5]?\d)(?:(?:(-|,)(?:[0-5]?\d))?(?:\/(?:[0-5]?\d))?)?)
)$']]
```

### <a name="Simplib--Cron--Month"></a>`Simplib::Cron::Month`

Matches valid cron month parameter

Alias of `Variant[Simplib::Cron::Month_entry, Array[Simplib::Cron::Month_entry]]`

### <a name="Simplib--Cron--MonthDay"></a>`Simplib::Cron::MonthDay`

Matches valid cron monthday parameter

Alias of `Variant[Simplib::Cron::MonthDay_entry, Array[Simplib::Cron::MonthDay_entry]]`

### <a name="Simplib--Cron--MonthDay_entry"></a>`Simplib::Cron::MonthDay_entry`

Matches valid cron monthday parameter

Tested with Rubular: https://rubular.com/r/ovqrYiCurMdQir

Alias of

```puppet
Variant[Integer[1,31], Pattern['^(?x)(?:\*|
(?:\*\/(?:[1-9]|[12]\d|3[01]))|
(?:(?:[1-9]|[12]\d|3[01])(?:(?:-(?:[1-9]|[12]\d|3[01]))(?:\/(?:[1-9]|[12]\d|3[01]))?)?)
)$']]
```

### <a name="Simplib--Cron--Month_entry"></a>`Simplib::Cron::Month_entry`

Matches valid cron month parameter

Tested with Rubular: https://rubular.com/r/TSDNxt1rcWkb8U

Alias of

```puppet
Variant[Integer[1,12], Pattern['^(?x)(?:\*|
(?i)(?:JAN|FEB|MAR|APR|MAY|JUN|JUL|AUG|SEP|OCT|NOV|DEC)|
(?:\*\/(?:[1-9]|1[012]))|
(?:(?:[1-9]|1[012])(?:(?:-(?:[1-9]|1[012]))(?:\/(?:[1-9]|1[012]))?)?)
)$']]
```

### <a name="Simplib--Cron--WeekDay"></a>`Simplib::Cron::WeekDay`

Matches valid cron weekday parameter

Alias of `Variant[Simplib::Cron::WeekDay_entry, Array[Simplib::Cron::WeekDay_entry]]`

### <a name="Simplib--Cron--WeekDay_entry"></a>`Simplib::Cron::WeekDay_entry`

Matches valid cron weekday parameter

Tested with Rubular: https://rubular.com/r/uuFFu5ISzdRL7l

Alias of

```puppet
Variant[Integer[0,7], Pattern['^(?x)(?:\*|
(?i)(?:SUN|MON|TUE|WED|THU|FRI|SAT)|
(?:\*\/(?:[0-7]))|
(?:(?:[0-7])(?:(?:-[0-7])(?:\/[0-7])?)?)
)$']]
```

### <a name="Simplib--Domain"></a>`Simplib::Domain`

Valid DNS domain names

Complies with TLD restrictions from Section 2 of RFC 3696:

 * only ASCII alpha + numbers + hyphens are allowed
 * labels can't begin or end with hyphens
 * TLDs cannot be all-numeric
 * TLDs must be able to end with a period
 * A DNS label may be no more than 63 octets long

RegEx developed and tested at http://rubular.com/r/4yZ7R8v42f

Alias of `Pattern['^(?i-mx:(?=^.{1,253}\z)((?!-)[a-z0-9-]{1,63}(?<!-)\.)*(?!-|\d+$)([a-z0-9-]{1,63})(?<!-)\.?)\z']`

### <a name="Simplib--Domainlist"></a>`Simplib::Domainlist`

List of valid domains (RFC 3696, Section 2)

Alias of `Array[Simplib::Domain]`

### <a name="Simplib--EmailAddress"></a>`Simplib::EmailAddress`

Matches valid email addresses

Alias of `Pattern['^.+@.+$']`

### <a name="Simplib--Host"></a>`Simplib::Host`

Matches a single IP Address or Hostname

Alias of `Variant[Simplib::IP, Simplib::Hostname]`

### <a name="Simplib--Host--Port"></a>`Simplib::Host::Port`

Matches a single IP Address or Hostname with a Port

Alias of `Variant[Simplib::IP::Port, Simplib::Hostname::Port]`

### <a name="Simplib--Hostname"></a>`Simplib::Hostname`

Valid Hostnames - May not match Unicode and does not validate against TLD registry

Alias of `Pattern['^(?i-mx:(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]{2}|[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9])\.?)$']`

### <a name="Simplib--Hostname--Port"></a>`Simplib::Hostname::Port`

Valid Hostnames with ports - May not match Unicode and does not validate against TLD registry

Alias of `Pattern['^(?i-mx:(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]{2}|[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9])\.?):([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$']`

### <a name="Simplib--IP"></a>`Simplib::IP`

Matches a single IP Address

Alias of `Variant[Simplib::IP::V4, Simplib::IP::V6]`

### <a name="Simplib--IP--CIDR"></a>`Simplib::IP::CIDR`

Matches valid CIDR IP addresses

Alias of `Variant[Simplib::IP::V4::CIDR, Simplib::IP::V6::CIDR]`

### <a name="Simplib--IP--Port"></a>`Simplib::IP::Port`

Matches valid IP addresses with Ports

Alias of `Variant[Simplib::IP::V4::Port, Simplib::IP::V6::Port]`

### <a name="Simplib--IP--V4"></a>`Simplib::IP::V4`

Matches valid IPv4 addresses

Regex taken from Ruby core's Resolv::IPv4::Regex
Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?-mix:\A((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\z)$']`

### <a name="Simplib--IP--V4--CIDR"></a>`Simplib::IP::V4::CIDR`

Matches valid IPv4 CIDR Mask addresses
Base Regex taken from Ruby core's Resolv::IPv4::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?-mix:\A((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))/(3[012]|[12][0-9]|[0-9])\z)$']`

### <a name="Simplib--IP--V4--DDQ"></a>`Simplib::IP::V4::DDQ`

Matches valid IPv4 Dotted Quad Mask addresses
Base Regex taken from Ruby core's Resolv::IPv4::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?-mix:\A((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))/(((0|128|192|224|240|248|252|254)\.0\.0\.0)|(255\.(0|128|192|224|240|248|252|254)\.0\.0)|(255\.255\.(0|128|192|224|240|248|252|254)\.0)|(255\.255\.255\.(0|128|192|224|240|248|252|254)))\z)$']`

### <a name="Simplib--IP--V4--Port"></a>`Simplib::IP::V4::Port`

Matches valid IPv4 addresses with a Port
Regex taken from Ruby core's Resolv::IPv4::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?-mix:\A((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?))\.((?x-mi:0|1(?:[0-9][0-9]?)?|2(?:[0-4][0-9]?|5[0-5]?|[6-9])?|[3-9][0-9]?)):([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])\z)$']`

### <a name="Simplib--IP--V6"></a>`Simplib::IP::V6`

Matches valid IPv6 addresses

Alias of `Variant[Simplib::IP::V6::Base, Simplib::IP::V6::Bracketed]`

### <a name="Simplib--IP--V6--Base"></a>`Simplib::IP::V6::Base`

Matches valid IPv6 addresses
Regex taken from Ruby core's Resolv::IPv6::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?x-mi:(?:(?x-mi:\A(?:[0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4}\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}:){6,6})(\d+)\.(\d+)\.(\d+)\.(\d+)\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}:)*)(\d+)\.(\d+)\.(\d+)\.(\d+)\z)))$']`

### <a name="Simplib--IP--V6--Bracketed"></a>`Simplib::IP::V6::Bracketed`

Matches valid Bracketed IPv6 addresses
Regex taken from Ruby core's Resolv::IPv6::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?x-mi:(?:(?x-mi:\A\[(?:[0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4}\]\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)\]\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}:){6,6})(\d+)\.(\d+)\.(\d+)\.(\d+)\]\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}:)*)(\d+)\.(\d+)\.(\d+)\.(\d+)\]\z)))$']`

### <a name="Simplib--IP--V6--CIDR"></a>`Simplib::IP::V6::CIDR`

Matches valid IPv6 addresses with CIDR netmasks
Base Regex taken from Ruby core's Resolv::IPv6::Regex

Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?x-mi:(?:(?x-mi:\A(?:[0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4}/(12[0-8]|1[01][0-9]|[0-9]?[0-9])\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)/(12[0-8]|1[01][0-9]|[0-9]?[0-9])\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}:){6,6})(\d+)\.(\d+)\.(\d+)\.(\d+)/(12[0-8]|1[01][0-9]|[0-9]?[0-9])\z))|(?:(?x-mi:\A((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}:)*)(\d+)\.(\d+)\.(\d+)\.(\d+)/(12[0-8]|1[01][0-9]|[0-9]?[0-9])\z)))$']`

### <a name="Simplib--IP--V6--Port"></a>`Simplib::IP::V6::Port`

Matches valid Bracketed IPv6 addresses with Port specification
Base Regex taken from Ruby core's Resolv::IPv6::Regex
Reference: ruby/lib/resolv.rb

Copyright 2010 Tanaka Akira <kr@fsij.org>
Released under the guidance of the Ruby COPYING file section 2(a)
Commit 4e3a98d383eb3c420df5208d83f9aba70b504e33

Alias of `Pattern['^(?x-mi:(?:(?x-mi:\A\[(?:[0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4}\]:([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)\]:([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}:){6,6})(\d+)\.(\d+)\.(\d+)\.(\d+)\]:([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])\z))|(?:(?x-mi:\A\[((?:[0-9A-Fa-f]{1,4}(?::[0-9A-Fa-f]{1,4})*)?)::((?:[0-9A-Fa-f]{1,4}:)*)(\d+)\.(\d+)\.(\d+)\.(\d+)\]:([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])\z)))$']`

### <a name="Simplib--Libcrypt--BSDIExtendedDES"></a>`Simplib::Libcrypt::BSDIExtendedDES`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^_[./0-9A-Za-z]{19}$']`

### <a name="Simplib--Libcrypt--Bcrypt"></a>`Simplib::Libcrypt::Bcrypt`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$2[abxy]\$[0-9]{2}\$[./A-Za-z0-9]{53}$']`

### <a name="Simplib--Libcrypt--Bigcrypt"></a>`Simplib::Libcrypt::Bigcrypt`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^[./0-9A-Za-z]{13,178}$']`

### <a name="Simplib--Libcrypt--DES"></a>`Simplib::Libcrypt::DES`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^[./0-9A-Za-z]{13}$']`

### <a name="Simplib--Libcrypt--MD5_FreeBSD"></a>`Simplib::Libcrypt::MD5_FreeBSD`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$1\$[^$]{1,8}\$[./0-9A-Za-z]{22}$']`

### <a name="Simplib--Libcrypt--MD5_Sun"></a>`Simplib::Libcrypt::MD5_Sun`

Regular expression pulled from the crypt(5) man page
lint:ignore:single_quote_string_with_variables

Alias of `Pattern['^\$md5(,rounds=[1-9][0-9]+)?\$[./0-9A-Za-z]{8}\${1,2}[./0-9A-Za-z]{22}$']`

### <a name="Simplib--Libcrypt--NTHASH"></a>`Simplib::Libcrypt::NTHASH`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$3\$\$[0-9a-f]{32}$']`

### <a name="Simplib--Libcrypt--SHA1"></a>`Simplib::Libcrypt::SHA1`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$sha1\$[1-9][0-9]+\$[./0-9A-Za-z]{1,64}\$[./0-9A-Za-z]{8,64}[./0-9A-Za-z]{32}$']`

### <a name="Simplib--Libcrypt--SHA2_256"></a>`Simplib::Libcrypt::SHA2_256`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$5\$(rounds=[1-9][0-9]+\$)?[./0-9A-Za-z]{1,16}\$[./0-9A-Za-z]{43}$']`

### <a name="Simplib--Libcrypt--SHA2_512"></a>`Simplib::Libcrypt::SHA2_512`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$6\$(rounds=[1-9][0-9]+\$)?[./0-9A-Za-z]{1,16}\$[./0-9A-Za-z]{86}$']`

### <a name="Simplib--Libcrypt--Scrypt"></a>`Simplib::Libcrypt::Scrypt`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$7\$[./A-Za-z0-9]{11,97}\$[./A-Za-z0-9]{43}$']`

### <a name="Simplib--Libcrypt--Yescrypt"></a>`Simplib::Libcrypt::Yescrypt`

Regular expression pulled from the crypt(5) man page

Alias of `Pattern['^\$y\$[./A-Za-z0-9]+\$[./A-Za-z0-9]{,86}\$[./A-Za-z0-9]{43}$']`

### <a name="Simplib--Macaddress"></a>`Simplib::Macaddress`

Matches MAC addresses

Alias of `Pattern['^[0-9a-fA-F]{1,2}:[0-9a-fA-F]{1,2}:[0-9a-fA-F]{1,2}:[0-9a-fA-F]{1,2}:[0-9a-fA-F]{1,2}:[0-9a-fA-F]{1,2}$']`

### <a name="Simplib--Netlist"></a>`Simplib::Netlist`

Matches all possible lists of Network Addresses and Hostnames

Alias of `Array[Variant[Simplib::Host, Simplib::Host::Port, Simplib::IP::CIDR, Simplib::IP::V4::DDQ]]`

### <a name="Simplib--Netlist--Host"></a>`Simplib::Netlist::Host`

Matches an Array of Simplib::Hosts

Alias of `Array[Simplib::Host]`

### <a name="Simplib--Netlist--IP"></a>`Simplib::Netlist::IP`

Matches all possible lists of IP Network Addresses

Alias of

```puppet
Array[Variant[
    Simplib::IP::V4,
    Simplib::IP::V4::CIDR,
    Simplib::IP::V4::DDQ,
    Simplib::IP::V4::Port,
    Simplib::IP::V6,
    Simplib::IP::V6::CIDR,
    Simplib::IP::V6::Port
  ]]
```

### <a name="Simplib--Netlist--IP--V4"></a>`Simplib::Netlist::IP::V4`

Matches all possible lists of IPv4 Network Addresses

Alias of

```puppet
Array[Variant[
    Simplib::IP::V4,
    Simplib::IP::V4::CIDR,
    Simplib::IP::V4::DDQ,
    Simplib::IP::V4::Port
  ]]
```

### <a name="Simplib--Netlist--IP--V6"></a>`Simplib::Netlist::IP::V6`

Matches all possible lists of IPv6 Network Addresses

Alias of

```puppet
Array[Variant[
    Simplib::IP::V6,
    Simplib::IP::V6::CIDR,
    Simplib::IP::V6::Port
  ]]
```

### <a name="Simplib--Netlist--Port"></a>`Simplib::Netlist::Port`

Matches all possible lists of Network Addresses and Hostnames with Ports

Alias of `Array[Simplib::Host::Port]`

### <a name="Simplib--PackageEnsure"></a>`Simplib::PackageEnsure`

Valid values for the `ensure` parameter of the `package` resource

Alias of `Enum['absent', 'held', 'installed', 'latest', 'present', 'purged']`

### <a name="Simplib--Port"></a>`Simplib::Port`

A valid port Type

Alias of `Variant[Simplib::Port::Random, Simplib::Port::System, Simplib::Port::User, Simplib::Port::Dynamic]`

### <a name="Simplib--Port--Dynamic"></a>`Simplib::Port::Dynamic`

Corresponds to the usual unprivileged port range

Alias of `Integer[49152, 65535]`

### <a name="Simplib--Port--Random"></a>`Simplib::Port::Random`

Corresponds to a port of ``0`` which has different behaviors but usually binds to a random port

Alias of `Integer[0, 0]`

### <a name="Simplib--Port--System"></a>`Simplib::Port::System`

Corresponds to the usual privileged port range

Alias of `Integer[1, 1024]`

### <a name="Simplib--Port--User"></a>`Simplib::Port::User`

Corresponds to the unprivileged port range

Alias of `Variant[Integer[1025,49151], Integer[49153,65534]]`

### <a name="Simplib--Puppet--Metadata--OS_support"></a>`Simplib::Puppet::Metadata::OS_support`

The 'operating_support' data structure in metadata.json

Alias of

```puppet
Struct[{
  'operatingsystem'        => String,
  'operatingsystemrelease' => Optional[Array[String]]
}]
```

### <a name="Simplib--PuppetLogLevel"></a>`Simplib::PuppetLogLevel`

A valid log level Type

Alias of `Enum['alert', 'crit', 'debug', 'emerg', 'err', 'info', 'notice', 'warning']`

### <a name="Simplib--Serverdistribution"></a>`Simplib::Serverdistribution`

Valid options for Serverdistribution

Alias of `Enum['PC1', 'PE']`

### <a name="Simplib--ShadowPass"></a>`Simplib::ShadowPass`

Valid entries for the password field of the 'shadow' file

These items are recognized by recent versions of crypt but may not be exhaustive

Regular expressions pulled from the crypt(5) man page

They are ordered of most to least commonly used for optimization.

Just because they are allowed, does not mean that you should use them....

Alias of `Variant[Enum['*','!','!!'], Pattern['^!.*'], Simplib::Libcrypt::SHA2_512, Simplib::Libcrypt::SHA2_256, Simplib::Libcrypt::SHA1, Simplib::Libcrypt::MD5_Sun, Simplib::Libcrypt::MD5_FreeBSD, Simplib::Libcrypt::NTHASH, Simplib::Libcrypt::Bcrypt, Simplib::Libcrypt::Scrypt, Simplib::Libcrypt::Yescrypt]`

### <a name="Simplib--Syslog--CFacility"></a>`Simplib::Syslog::CFacility`

Syslog facilities in `C` compatible format

Alias of

```puppet
Variant[Integer[0,23], Enum[
    'LOG_KERN',
    'LOG_USER',
    'LOG_MAIL',
    'LOG_DAEMON',
    'LOG_AUTH',
    'LOG_SYSLOG',
    'LOG_LPR',
    'LOG_NEWS',
    'LOG_UUCP',
    'LOG_AUTHPRIV',
    'LOG_FTP',
    'LOG_CRON',
    'LOG_LOCAL0',
    'LOG_LOCAL1',
    'LOG_LOCAL2',
    'LOG_LOCAL3',
    'LOG_LOCAL4',
    'LOG_LOCAL5',
    'LOG_LOCAL6',
    'LOG_LOCAL7'
  ]]
```

### <a name="Simplib--Syslog--CPriority"></a>`Simplib::Syslog::CPriority`

Syslog priorities in `C` compatible format

Alias of `Enum['LOG_KERN.LOG_EMERG', 'LOG_KERN.LOG_ALERT', 'LOG_KERN.LOG_CRIT', 'LOG_KERN.LOG_ERR', 'LOG_KERN.LOG_WARNING', 'LOG_KERN.LOG_NOTICE', 'LOG_KERN.LOG_INFO', 'LOG_KERN.LOG_DEBUG', 'LOG_USER.LOG_EMERG', 'LOG_USER.LOG_ALERT', 'LOG_USER.LOG_CRIT', 'LOG_USER.LOG_ERR', 'LOG_USER.LOG_WARNING', 'LOG_USER.LOG_NOTICE', 'LOG_USER.LOG_INFO', 'LOG_USER.LOG_DEBUG', 'LOG_MAIL.LOG_EMERG', 'LOG_MAIL.LOG_ALERT', 'LOG_MAIL.LOG_CRIT', 'LOG_MAIL.LOG_ERR', 'LOG_MAIL.LOG_WARNING', 'LOG_MAIL.LOG_NOTICE', 'LOG_MAIL.LOG_INFO', 'LOG_MAIL.LOG_DEBUG', 'LOG_DAEMON.LOG_EMERG', 'LOG_DAEMON.LOG_ALERT', 'LOG_DAEMON.LOG_CRIT', 'LOG_DAEMON.LOG_ERR', 'LOG_DAEMON.LOG_WARNING', 'LOG_DAEMON.LOG_NOTICE', 'LOG_DAEMON.LOG_INFO', 'LOG_DAEMON.LOG_DEBUG', 'LOG_AUTH.LOG_EMERG', 'LOG_AUTH.LOG_ALERT', 'LOG_AUTH.LOG_CRIT', 'LOG_AUTH.LOG_ERR', 'LOG_AUTH.LOG_WARNING', 'LOG_AUTH.LOG_NOTICE', 'LOG_AUTH.LOG_INFO', 'LOG_AUTH.LOG_DEBUG', 'LOG_SYSLOG.LOG_EMERG', 'LOG_SYSLOG.LOG_ALERT', 'LOG_SYSLOG.LOG_CRIT', 'LOG_SYSLOG.LOG_ERR', 'LOG_SYSLOG.LOG_WARNING', 'LOG_SYSLOG.LOG_NOTICE', 'LOG_SYSLOG.LOG_INFO', 'LOG_SYSLOG.LOG_DEBUG', 'LOG_LPR.LOG_EMERG', 'LOG_LPR.LOG_ALERT', 'LOG_LPR.LOG_CRIT', 'LOG_LPR.LOG_ERR', 'LOG_LPR.LOG_WARNING', 'LOG_LPR.LOG_NOTICE', 'LOG_LPR.LOG_INFO', 'LOG_LPR.LOG_DEBUG', 'LOG_NEWS.LOG_EMERG', 'LOG_NEWS.LOG_ALERT', 'LOG_NEWS.LOG_CRIT', 'LOG_NEWS.LOG_ERR', 'LOG_NEWS.LOG_WARNING', 'LOG_NEWS.LOG_NOTICE', 'LOG_NEWS.LOG_INFO', 'LOG_NEWS.LOG_DEBUG', 'LOG_UUCP.LOG_EMERG', 'LOG_UUCP.LOG_ALERT', 'LOG_UUCP.LOG_CRIT', 'LOG_UUCP.LOG_ERR', 'LOG_UUCP.LOG_WARNING', 'LOG_UUCP.LOG_NOTICE', 'LOG_UUCP.LOG_INFO', 'LOG_UUCP.LOG_DEBUG', 'LOG_AUTHPRIV.LOG_EMERG', 'LOG_AUTHPRIV.LOG_ALERT', 'LOG_AUTHPRIV.LOG_CRIT', 'LOG_AUTHPRIV.LOG_ERR', 'LOG_AUTHPRIV.LOG_WARNING', 'LOG_AUTHPRIV.LOG_NOTICE', 'LOG_AUTHPRIV.LOG_INFO', 'LOG_AUTHPRIV.LOG_DEBUG', 'LOG_FTP.LOG_EMERG', 'LOG_FTP.LOG_ALERT', 'LOG_FTP.LOG_CRIT', 'LOG_FTP.LOG_ERR', 'LOG_FTP.LOG_WARNING', 'LOG_FTP.LOG_NOTICE', 'LOG_FTP.LOG_INFO', 'LOG_FTP.LOG_DEBUG', 'LOG_CRON.LOG_EMERG', 'LOG_CRON.LOG_ALERT', 'LOG_CRON.LOG_CRIT', 'LOG_CRON.LOG_ERR', 'LOG_CRON.LOG_WARNING', 'LOG_CRON.LOG_NOTICE', 'LOG_CRON.LOG_INFO', 'LOG_CRON.LOG_DEBUG', 'LOG_LOCAL0.LOG_EMERG', 'LOG_LOCAL0.LOG_ALERT', 'LOG_LOCAL0.LOG_CRIT', 'LOG_LOCAL0.LOG_ERR', 'LOG_LOCAL0.LOG_WARNING', 'LOG_LOCAL0.LOG_NOTICE', 'LOG_LOCAL0.LOG_INFO', 'LOG_LOCAL0.LOG_DEBUG', 'LOG_LOCAL1.LOG_EMERG', 'LOG_LOCAL1.LOG_ALERT', 'LOG_LOCAL1.LOG_CRIT', 'LOG_LOCAL1.LOG_ERR', 'LOG_LOCAL1.LOG_WARNING', 'LOG_LOCAL1.LOG_NOTICE', 'LOG_LOCAL1.LOG_INFO', 'LOG_LOCAL1.LOG_DEBUG', 'LOG_LOCAL2.LOG_EMERG', 'LOG_LOCAL2.LOG_ALERT', 'LOG_LOCAL2.LOG_CRIT', 'LOG_LOCAL2.LOG_ERR', 'LOG_LOCAL2.LOG_WARNING', 'LOG_LOCAL2.LOG_NOTICE', 'LOG_LOCAL2.LOG_INFO', 'LOG_LOCAL2.LOG_DEBUG', 'LOG_LOCAL3.LOG_EMERG', 'LOG_LOCAL3.LOG_ALERT', 'LOG_LOCAL3.LOG_CRIT', 'LOG_LOCAL3.LOG_ERR', 'LOG_LOCAL3.LOG_WARNING', 'LOG_LOCAL3.LOG_NOTICE', 'LOG_LOCAL3.LOG_INFO', 'LOG_LOCAL3.LOG_DEBUG', 'LOG_LOCAL4.LOG_EMERG', 'LOG_LOCAL4.LOG_ALERT', 'LOG_LOCAL4.LOG_CRIT', 'LOG_LOCAL4.LOG_ERR', 'LOG_LOCAL4.LOG_WARNING', 'LOG_LOCAL4.LOG_NOTICE', 'LOG_LOCAL4.LOG_INFO', 'LOG_LOCAL4.LOG_DEBUG', 'LOG_LOCAL5.LOG_EMERG', 'LOG_LOCAL5.LOG_ALERT', 'LOG_LOCAL5.LOG_CRIT', 'LOG_LOCAL5.LOG_ERR', 'LOG_LOCAL5.LOG_WARNING', 'LOG_LOCAL5.LOG_NOTICE', 'LOG_LOCAL5.LOG_INFO', 'LOG_LOCAL5.LOG_DEBUG', 'LOG_LOCAL6.LOG_EMERG', 'LOG_LOCAL6.LOG_ALERT', 'LOG_LOCAL6.LOG_CRIT', 'LOG_LOCAL6.LOG_ERR', 'LOG_LOCAL6.LOG_WARNING', 'LOG_LOCAL6.LOG_NOTICE', 'LOG_LOCAL6.LOG_INFO', 'LOG_LOCAL6.LOG_DEBUG', 'LOG_LOCAL7.LOG_EMERG', 'LOG_LOCAL7.LOG_ALERT', 'LOG_LOCAL7.LOG_CRIT', 'LOG_LOCAL7.LOG_ERR', 'LOG_LOCAL7.LOG_WARNING', 'LOG_LOCAL7.LOG_NOTICE', 'LOG_LOCAL7.LOG_INFO', 'LOG_LOCAL7.LOG_DEBUG']`

### <a name="Simplib--Syslog--CSeverity"></a>`Simplib::Syslog::CSeverity`

Syslog severities in `C` compatible format

Alias of

```puppet
Variant[Integer[0,7], Enum[
    'LOG_EMERG',
    'LOG_ALERT',
    'LOG_CRIT',
    'LOG_ERR',
    'LOG_WARNING',
    'LOG_NOTICE',
    'LOG_INFO',
    'LOG_DEBUG'
  ]]
```

### <a name="Simplib--Syslog--Facility"></a>`Simplib::Syslog::Facility`

Syslog facilities

Alias of `Variant[Simplib::Syslog::LowerFacility, Simplib::Syslog::UpperFacility, Simplib::Syslog::CFacility]`

### <a name="Simplib--Syslog--LowerFacility"></a>`Simplib::Syslog::LowerFacility`

Valid lowercase versions of syslog facilities

Alias of

```puppet
Variant[Integer[0,23], Enum[
    'kern',
    'user',
    'mail',
    'daemon',
    'auth',
    'syslog',
    'lpr',
    'news',
    'uucp',
    'authpriv',
    'ftp',
    'cron',
    'local0',
    'local1',
    'local2',
    'local3',
    'local4',
    'local5',
    'local6',
    'local7'
  ]]
```

### <a name="Simplib--Syslog--LowerPriority"></a>`Simplib::Syslog::LowerPriority`

Valid lowercase versions of syslog priorities

Alias of `Enum['kern.emerg', 'kern.alert', 'kern.crit', 'kern.err', 'kern.warning', 'kern.notice', 'kern.info', 'kern.debug', 'user.emerg', 'user.alert', 'user.crit', 'user.err', 'user.warning', 'user.notice', 'user.info', 'user.debug', 'mail.emerg', 'mail.alert', 'mail.crit', 'mail.err', 'mail.warning', 'mail.notice', 'mail.info', 'mail.debug', 'daemon.emerg', 'daemon.alert', 'daemon.crit', 'daemon.err', 'daemon.warning', 'daemon.notice', 'daemon.info', 'daemon.debug', 'auth.emerg', 'auth.alert', 'auth.crit', 'auth.err', 'auth.warning', 'auth.notice', 'auth.info', 'auth.debug', 'syslog.emerg', 'syslog.alert', 'syslog.crit', 'syslog.err', 'syslog.warning', 'syslog.notice', 'syslog.info', 'syslog.debug', 'lpr.emerg', 'lpr.alert', 'lpr.crit', 'lpr.err', 'lpr.warning', 'lpr.notice', 'lpr.info', 'lpr.debug', 'news.emerg', 'news.alert', 'news.crit', 'news.err', 'news.warning', 'news.notice', 'news.info', 'news.debug', 'uucp.emerg', 'uucp.alert', 'uucp.crit', 'uucp.err', 'uucp.warning', 'uucp.notice', 'uucp.info', 'uucp.debug', 'authpriv.emerg', 'authpriv.alert', 'authpriv.crit', 'authpriv.err', 'authpriv.warning', 'authpriv.notice', 'authpriv.info', 'authpriv.debug', 'ftp.emerg', 'ftp.alert', 'ftp.crit', 'ftp.err', 'ftp.warning', 'ftp.notice', 'ftp.info', 'ftp.debug', 'cron.emerg', 'cron.alert', 'cron.crit', 'cron.err', 'cron.warning', 'cron.notice', 'cron.info', 'cron.debug', 'local0.emerg', 'local0.alert', 'local0.crit', 'local0.err', 'local0.warning', 'local0.notice', 'local0.info', 'local0.debug', 'local1.emerg', 'local1.alert', 'local1.crit', 'local1.err', 'local1.warning', 'local1.notice', 'local1.info', 'local1.debug', 'local2.emerg', 'local2.alert', 'local2.crit', 'local2.err', 'local2.warning', 'local2.notice', 'local2.info', 'local2.debug', 'local3.emerg', 'local3.alert', 'local3.crit', 'local3.err', 'local3.warning', 'local3.notice', 'local3.info', 'local3.debug', 'local4.emerg', 'local4.alert', 'local4.crit', 'local4.err', 'local4.warning', 'local4.notice', 'local4.info', 'local4.debug', 'local5.emerg', 'local5.alert', 'local5.crit', 'local5.err', 'local5.warning', 'local5.notice', 'local5.info', 'local5.debug', 'local6.emerg', 'local6.alert', 'local6.crit', 'local6.err', 'local6.warning', 'local6.notice', 'local6.info', 'local6.debug', 'local7.emerg', 'local7.alert', 'local7.crit', 'local7.err', 'local7.warning', 'local7.notice', 'local7.info', 'local7.debug']`

### <a name="Simplib--Syslog--LowerSeverity"></a>`Simplib::Syslog::LowerSeverity`

Valid lowercase versions of syslog severities

Alias of

```puppet
Variant[Integer[0,7], Enum[
    'emerg',
    'alert',
    'crit',
    'err',
    'warning',
    'notice',
    'info',
    'debug'
  ]]
```

### <a name="Simplib--Syslog--Priority"></a>`Simplib::Syslog::Priority`

Syslog priorities

Alias of `Variant[Simplib::Syslog::LowerPriority, Simplib::Syslog::UpperPriority, Simplib::Syslog::CPriority]`

### <a name="Simplib--Syslog--Severity"></a>`Simplib::Syslog::Severity`

Syslog severities

Alias of `Variant[Simplib::Syslog::LowerSeverity, Simplib::Syslog::UpperSeverity, Simplib::Syslog::CSeverity]`

### <a name="Simplib--Syslog--UpperFacility"></a>`Simplib::Syslog::UpperFacility`

Valid uppercase bounds for syslog facilities

Alias of

```puppet
Variant[Integer[0,23], Enum[
    'KERN',
    'USER',
    'MAIL',
    'DAEMON',
    'AUTH',
    'SYSLOG',
    'LPR',
    'NEWS',
    'UUCP',
    'AUTHPRIV',
    'FTP',
    'CRON',
    'LOCAL0',
    'LOCAL1',
    'LOCAL2',
    'LOCAL3',
    'LOCAL4',
    'LOCAL5',
    'LOCAL6',
    'LOCAL7'
  ]]
```

### <a name="Simplib--Syslog--UpperPriority"></a>`Simplib::Syslog::UpperPriority`

Valid uppercase versions of syslog priorities

Alias of `Enum['KERN.EMERG', 'KERN.ALERT', 'KERN.CRIT', 'KERN.ERR', 'KERN.WARNING', 'KERN.NOTICE', 'KERN.INFO', 'KERN.DEBUG', 'USER.EMERG', 'USER.ALERT', 'USER.CRIT', 'USER.ERR', 'USER.WARNING', 'USER.NOTICE', 'USER.INFO', 'USER.DEBUG', 'MAIL.EMERG', 'MAIL.ALERT', 'MAIL.CRIT', 'MAIL.ERR', 'MAIL.WARNING', 'MAIL.NOTICE', 'MAIL.INFO', 'MAIL.DEBUG', 'DAEMON.EMERG', 'DAEMON.ALERT', 'DAEMON.CRIT', 'DAEMON.ERR', 'DAEMON.WARNING', 'DAEMON.NOTICE', 'DAEMON.INFO', 'DAEMON.DEBUG', 'AUTH.EMERG', 'AUTH.ALERT', 'AUTH.CRIT', 'AUTH.ERR', 'AUTH.WARNING', 'AUTH.NOTICE', 'AUTH.INFO', 'AUTH.DEBUG', 'SYSLOG.EMERG', 'SYSLOG.ALERT', 'SYSLOG.CRIT', 'SYSLOG.ERR', 'SYSLOG.WARNING', 'SYSLOG.NOTICE', 'SYSLOG.INFO', 'SYSLOG.DEBUG', 'LPR.EMERG', 'LPR.ALERT', 'LPR.CRIT', 'LPR.ERR', 'LPR.WARNING', 'LPR.NOTICE', 'LPR.INFO', 'LPR.DEBUG', 'NEWS.EMERG', 'NEWS.ALERT', 'NEWS.CRIT', 'NEWS.ERR', 'NEWS.WARNING', 'NEWS.NOTICE', 'NEWS.INFO', 'NEWS.DEBUG', 'UUCP.EMERG', 'UUCP.ALERT', 'UUCP.CRIT', 'UUCP.ERR', 'UUCP.WARNING', 'UUCP.NOTICE', 'UUCP.INFO', 'UUCP.DEBUG', 'AUTHPRIV.EMERG', 'AUTHPRIV.ALERT', 'AUTHPRIV.CRIT', 'AUTHPRIV.ERR', 'AUTHPRIV.WARNING', 'AUTHPRIV.NOTICE', 'AUTHPRIV.INFO', 'AUTHPRIV.DEBUG', 'FTP.EMERG', 'FTP.ALERT', 'FTP.CRIT', 'FTP.ERR', 'FTP.WARNING', 'FTP.NOTICE', 'FTP.INFO', 'FTP.DEBUG', 'CRON.EMERG', 'CRON.ALERT', 'CRON.CRIT', 'CRON.ERR', 'CRON.WARNING', 'CRON.NOTICE', 'CRON.INFO', 'CRON.DEBUG', 'LOCAL0.EMERG', 'LOCAL0.ALERT', 'LOCAL0.CRIT', 'LOCAL0.ERR', 'LOCAL0.WARNING', 'LOCAL0.NOTICE', 'LOCAL0.INFO', 'LOCAL0.DEBUG', 'LOCAL1.EMERG', 'LOCAL1.ALERT', 'LOCAL1.CRIT', 'LOCAL1.ERR', 'LOCAL1.WARNING', 'LOCAL1.NOTICE', 'LOCAL1.INFO', 'LOCAL1.DEBUG', 'LOCAL2.EMERG', 'LOCAL2.ALERT', 'LOCAL2.CRIT', 'LOCAL2.ERR', 'LOCAL2.WARNING', 'LOCAL2.NOTICE', 'LOCAL2.INFO', 'LOCAL2.DEBUG', 'LOCAL3.EMERG', 'LOCAL3.ALERT', 'LOCAL3.CRIT', 'LOCAL3.ERR', 'LOCAL3.WARNING', 'LOCAL3.NOTICE', 'LOCAL3.INFO', 'LOCAL3.DEBUG', 'LOCAL4.EMERG', 'LOCAL4.ALERT', 'LOCAL4.CRIT', 'LOCAL4.ERR', 'LOCAL4.WARNING', 'LOCAL4.NOTICE', 'LOCAL4.INFO', 'LOCAL4.DEBUG', 'LOCAL5.EMERG', 'LOCAL5.ALERT', 'LOCAL5.CRIT', 'LOCAL5.ERR', 'LOCAL5.WARNING', 'LOCAL5.NOTICE', 'LOCAL5.INFO', 'LOCAL5.DEBUG', 'LOCAL6.EMERG', 'LOCAL6.ALERT', 'LOCAL6.CRIT', 'LOCAL6.ERR', 'LOCAL6.WARNING', 'LOCAL6.NOTICE', 'LOCAL6.INFO', 'LOCAL6.DEBUG', 'LOCAL7.EMERG', 'LOCAL7.ALERT', 'LOCAL7.CRIT', 'LOCAL7.ERR', 'LOCAL7.WARNING', 'LOCAL7.NOTICE', 'LOCAL7.INFO', 'LOCAL7.DEBUG']`

### <a name="Simplib--Syslog--UpperSeverity"></a>`Simplib::Syslog::UpperSeverity`

Valid uppercase versions of syslog severities

Alias of

```puppet
Variant[Integer[0,7], Enum[
    'EMERG',
    'ALERT',
    'CRIT',
    'ERR',
    'WARNING',
    'NOTICE',
    'INFO',
    'DEBUG'
  ]]
```

### <a name="Simplib--Systemd--ServiceName"></a>`Simplib::Systemd::ServiceName`

Valid systemd service names

Alias of `Pattern['^(([A-Za-z0-9.:_\\\\-])(@[A-Za-z0-9.:_\\\\-])?){1,256}$']`

### <a name="Simplib--URI"></a>`Simplib::URI`

Matches URI strings

Alias of `Pattern['^[a-zA-Z][a-zA-Z0-9+-.]*://.*$']`

### <a name="Simplib--Umask"></a>`Simplib::Umask`

Matches umask patterns

Alias of `Pattern['^[0-7]{3,4}$']`

